WinOLS Help index

Navigation: Start page

WinOLS Help index

Introduction:

· Quick introduction
· Typical tasks
· Special Aspects

Advanced topics:

· Scripts

Internet:

· Homepage EVC
· Checksum search
· FAQ
· Products

Reference:

· Menu Project
· Menu Edit
· Menu Hardware
· Menu View
· Menu Selection
· Menu Search
· Menu Miscellaneous
· Menu Window
· Menu ? (Help)

Main screen:

(C) Copyright 2012 EVC electronic, www.evc.de


Quick introduction

Navigation: Start page

Quick introduction

Please choose one of the following topics:

· Installation
· Registering WinOLS
· Language
· Checksums
· Network installation
· The main screen
· Projects


Installation

Navigation: Start page > Quick introduction >

Installation

When starting the setup program WinOLS.EXE the installation assistant asks for acknowledgement of the license agreement. Of course this is required in order to continue the installation process.

After this you’ll be asked for confirmation of the default install path, which is “C:\Program files\EVC\WinOLS”. This one should also be used when carrying out a network installation. The car data can be saved to a directory on the server later on.

The next three queries may also be confirmed by pressing “Next“.

The software will work in demo mode until registered. Simulator or EPROM hardware are not supported yet. In addition you are not able to save any data.

Attention: if you want to use legacy devices like the OLS16 simulator or the MP2440P eprommer, the you have to enable the respective checkboxes during the installation.


Registering WinOLS

Navigation: Start page > Quick introduction >

Registering WinOLS

By purchasing the license resp. the update for WinOLS you are acquiring the right to enable this software’s full functionality for an unlimited time. The license includes the right to use this software with up to ten computers within your company’s residence.

Therefore please install WinOLS on all computers this software is intended to be used on and register each. Please contact us if you would like to purchase WinOLS.

· Start WinOLS
· Select "Register WinOLS" from the "Miscellaneous" Menu.
· Follow the assistant’s instructions


Language

Navigation: Start page > Quick introduction >

Language

When using the German or English version of Windows the language will be set automatically. All other versions will not be recognized. The language settings can be found at “Miscellaneous-Configuration-Miscellaneous-Language” (“Sonstiges > Konfiguration > Sonstiges > Sprache“). When this setting is modified WinOLS has to be restarted for the change to take effect.


Checksums

Navigation: Start page > Quick introduction >

Checksums

WinOLS can be expanded with checksum modules. These module can be purchased directly from EVC or online on evc.de. After the purchase simply use the WinOLS update function to automatically install the modules.

You can check the state of the currently installed modules in the dialog "? > Info about plugins".


Network installation

Navigation: Start page > Quick introduction >

Network installation

First WinOLS will have to be set up on each workstation as described above. The software also has to be unlocked on each computer separately.

Create a shared directory on the server, e.g. “WinOLS data“. The path to this directory has to be set in each workstation’s WinOLS at “Miscellaneous-Configuration-Paths-Eprom-Data Path” (“Sonstiges-Konfiguration-Pfade-Pfad für Eprom-Daten”).

Checksum DLLs may not be put in a shared directory but have to be copied to each workstation into the directory called “C:\Program files\EVC\WinOLS\DLLs”.


The main screen

Navigation: Start page > Quick introduction >

The main screen

The WinOLS main screen contains several elements:

1. Switching between clients
2. Search field for projects, versions and maps. Enter a text to reduce the view to matching entries
3. Dropdown button for previous searches
4. Options for the map list and the search
5. Button project properties and fast switching (black triangle) between elements
6. Unimportant program areas (empty ranges and program code) are shown pale
7. Switching of the preference of hexdump or bar when the window is too small
8. Color-coded overview of the project
9. Automatically found, potential map
10. Map registered by you (Also visible at "My maps")
11. Switching of the view mode between Text, 2d and 3d
12. Checksum status: Checksumms, Patches, Sync-Blocks, Text description
13. Hardware status (of OLS16 or OLS300 modules)


Projects

Navigation: Start page > Quick introduction >

Projects

All EPROM data will be administered in so-called projects by WinOLS, which consist of an original file and as many modified ones, or versions, as are needed. They will be saved to one single file together with the vehicle data as well as possible comments.

Please note:

It is not possible to edit external file formats directly. Since WinOLS stores lots of additional information you have to import it into a WinOLS project first (for example by drag+drop) and export (or burn or write) it later again.

Please choose one of the following topics:

· Creating a project
· From a file
· From an EPROM
· From an ECU (via BDM100)
· The original
· The version


Creating a project

Navigation: Start page > Quick introduction > Projects >

Creating a project

The creation of a new project starts off by selecting “Project-new“. Data out of an EPROM or from a file may now be read into this empty project.


From a file

Navigation: Start page > Quick introduction > Projects >

From a file

Data from a file is being read in by selecting “Project-Import File“, followed by selecting the “Binary 8 or 16 bit”. Then the file name has to be chosen.

You can drag files or Outlook e-mail attachments directly into the WinOLS window. If you drop the file over an existing project window, it will be imported as version. If you drop over the WinOLS frame window or on an empty workspace background, it will be imported as new project.


From an EPROM

Navigation: Start page > Quick introduction > Projects >

From an EPROM

In case an EPROM shall be read out its type has to be chosen first at “Hardware-Producer“, after which the reading process has to be started by selecting “Hardware-Eprom-Read“.


From an ECU (via BDM100)

Navigation: Start page > Quick introduction > Projects >

From an ECU (via BDM100)

Certain ECUs (you’ll find a list on the EVC Website) can be read with the additional hardware BDM100. This not only reads the eprom, but all available memories (e.g. the CPU-internal memory). To store this data WinOLS creates multiple “Elements” within the project. (Elements are explained in the chapter “Special aspects”.)

To read a ECU via BDM100 please refer to the BDM100 documenation on the EVC website. To initiate the read process in WinOLS select the menu item “Hardware-BDM-Read”.


The original

Navigation: Start page > Quick introduction > Projects >

The original

The first read-in data record will automatically be saved as “Original“ while any further ones will be named “Version“. Different names can be assigned later on, though. Some checksums require the file saved as “Original“ to contain the unmodified data from the ECU.

After reading in the original a dialogue window will appear which asks for typing in the vehicle data for the project to be identifiable later.


The version

Navigation: Start page > Quick introduction > Projects >

The version

When a version has been imported another dialog window will appear where a name and the vehicle information may be entered. Here you can also read in a file that was modified by another software just for the checksum to be balanced.

Version folders:

By default versions are simply listed, but you can also use version folders to organize them. Any version can serve as folder to another version. Furthermore you can use abstract folders (which are just folders, but not a version) which can also contain other versions. Version folders do not affect the contents of the version in any way. They are just a concept to display the versions in a project in form of a tree. To change the version folders, simply drag a version to another place in the open version dialog or edit the version properties and change the parent folders.


Typical tasks

Navigation: Start page

Typical tasks

Please choose one of the following topics:

· Creating a new project
· Automatically find maps
· Manually find maps (Text mode)
· Manually find maps (2d mode)
· Preview
· Changing maps
· Correcting checksums
· Import data from older projects


Creating a new project

Navigation: Start page > Typical tasks >

Creating a new project

Choose the menu item “Project > New”. Depending on your settings either a new empty project will appear or an assistant. This sample describes the procedure without the assistant. Close it if necessary.

Now you have an empty project and you need data (Original data is always best). Either from a file or from an eprom. To import a file you have several possibilities:

1. You drag the file with “Drag und Drop” into the empty project window.
2. You import the file with the menu item “Project > Ex- & Import > Import file” or you activate the import with the keyword shortcut Ctrl+I or the icon „ [image] “. Choose your file format, click on “Ok” and choose the file.

Now you have imported the original. All versions that you create or import later will automatically be compared with the original and the differences will be marked will colors on the screen. If you want to import a version, just repeat the steps shown above.


Automatically find maps

Navigation: Start page > Typical tasks >

Automatically find maps

If you have created a new project, WinOLS will automatically start to search for maps after a few seconds. You can see this in the status bar at the lower end of the window. You can influence the background map search with the menu items in the “Search” menu.

After the map search has finished, you have several possibilities to review its results:

· There is a new subfolder labeled “potential maps” in the project and map list at the left border of the window. It contains all maps that were found during the search. Open the folder clicking it with the left mouse button. Click on a map in this folder to view it in the hexdump. If the Preview Window is open (Hotkey “P”), you’ll directly see a 3d preview of the potential map.
· Use the function “View > Recognize map” (Hotkey “F”) to jump to the next (or “Shift+F” for previous) map and to select it.
· Every map that was automatically recognized has a small tag with its name. Click on the tag to display the map optimally. Double-click it to convert the potential map in a normal map (which can be edited easier). Click with the right mouse button on the tag to get more options.


Manually find maps (Text mode)

Navigation: Start page > Typical tasks >

Manually find maps (Text mode)

It is not easy and requires a lot of skill to manually find maps. First you should start with the view mode that you like best. For this click on the tabs “Text > 2d > 3d” on the lower border of the screen or use the hotkey “T” and “Shift+F”.

This section describes the manual search for maps in text mode. A corresponding description for the 2d mode is in the following section.

Now choose the view parameters. Make a doubleclick on the window and choose the “Values” (8 Bit, 16 Bit, ...). New ECU’s often use 16-Bit Data. Motorola Processors use “HiLo” Notation and Intel Processors use “LoHi”. (WinOLS automatically recognizes the processor manufacturer. You can see it the in the project properties. Choose “Project > Properties: Project“.)

Now scroll through the file. Use the mouse (mouse wheel or scroll bar) or the keys. A few tips:

· If the numbers a pale, then this area was recognized as program code by WinOLS. You should ignore this area. Normally you won’t find maps here and changes might easily result a crash in the car’s software. Empty areas are also displayed and are equally uninteresting.
· Use the overview window (Menu item “Window > Overview”) to get a rough outline of the project. You can move and resize this window, just like the preview window. You can also tell this window to “roll up” when it is not active by clicking the button left of X button.

If you’ve found something that could be a map, the first thing you should do is to adapt the view settings for this map. You can do this in all view modes, but it is easiest the text mode. Start with the number of columns. The maps often have “jumps” which represent a new line in the map. Change the number of columns in such a way, that all jumps are in the same columns. You can change the number of columns with the hotkey “M” and “W”. In the viewmode “Text” you can also change it by clicking and on the single vertical line and dragging it.

Img: Map before changing number of columms

Img: Map after changing number of columms

Now you can probably recognize a bit of the maps. The next thing that you should do is to move the start address of the map so that it will start on the left of the hexdump. For this use the menu item “View > Move origin left” And “View > Move origin right”. (Hotkeys Ctrl + Cursor left or right.) If you’re finished with this, select the map.

(A small tip: If the bar display doesn’t contain anything useful, you should optimize the value range for your data. If you’ve selected the map, choose “View > Optimize value range” or press Ctrl+B. WinOLS will automatically be configured in such a way that the data used in the selection optimally uses the heigts available for the bars.)

Img: Map with the right start

Img: Marked map

If you’ve activated the preview window, you can now see a 3d preview of your selection. Use the menu item “Selection > Selection -> Map” (Hotkey “K”) to create a map from your selection. A new window will open and you can edit your map.

But first, a few alternatives for entering maps:

· The assistant “Support map selection” can help you. Activate it with the menu item “View > Support map selection “. At the beginning nothing will happen (except it you had a selection active while doing this. In this case the assistant will be applied without activating it permanently). If you now create a selection with your mouse, your assistant will try to optimize it. It will perform the steps that we described above (Number of columns, Start, ...) automatically. But you should always be careful not to select to data that does not belong to the map.
· The assistant works perfectly together with the “Map Selection”. You may need to activate this by selection the menu item “View > Symbol bars > Frame: Map Selection”. Whenever you now create a rectangular selection, you can change it with the new symbol bar afterwards. You can change the beginning in X or Y direction or change the number rows or columns.


Manually find maps (2d mode)

Navigation: Start page > Typical tasks >

Manually find maps (2d mode)

Finding maps in 2d mode is similar to finding it in text. Start the same way as above by configuring the view parameters (8 Bit, 16 Bit, ... / HiLo, LoHi) and then scroll through the file until you find a possible map. (Remember that you can change the X and Y zoom factors with the menu bar “Frame: View”.)

If you’ve found a possible map, you should start by setting the right number of columns. In 2d-Mode the “line breaks” will be symbolized by vertical lines, but you can configure this in the configuration (page View, in the 2d-Range).

Change the number of columns so that the vertical lines are always parallel to “jumps” in the map. Use the hotkeys “M” and “W” to add or remove columns.

Img: Map before changing number of columns

Img: Map after changing number of columns

In 2d mode you also have to move the beginning of the map (“View” / „ Move origin left“ and “View > Move origin right“ or with the hotkeys Ctrl + Cursor left or right). This might make it clear that the number of columns is right, yet. In this case go back to the steps shown above.

Img: Map with right start

Img: Marked map

Now you have to select the map, which isn’t easy in 2d mode because the pixels are quite close to another. Start by marking the map only rough. Now move the mouse cursor over left end of the selection. The cursor will change to an arrow pointing to a line. Click here and drag to the left or right to change the selection. This will not only change a selection that was already made. WinOLS will automatically make sure that the selection starts on a line break. Repeat this for the right end of the selection.

Again, it is easier with the assistant “Support map selection”. If you don’t want to activate it permanently, you can also apply it on demand. Just click with the right mouse button into a selection: (Of course this will also work in text mode)


Preview

Navigation: Start page > Typical tasks >

Preview

If you’ve activated the preview window it will automatically open if you have a rectangular selection that is not wider than 32 columns. This is very helpful for configuring your maps, but you must learn how to “read” the window. To help you, here are few typical views:

Too much selected. The high area looks different and doesn’t belong to the map. Because it is much “higher” than the rest, the rest is displayed smaller and thus is more difficult to recognize:

Wrong number of columns. Look at the typical vertical line formed by the jumps.

Right number of columns, but a wrong start. There is a “jump” within the map.

Everything right:


Changing maps

Navigation: Start page > Typical tasks >

Changing maps

Why use maps? Sure, you could edit data directly in the hexdump, but editing in a map has man advantages:

· It brings structure in a project and makes it easier to find the maps again, later on.
· You can open multiple windows at the same time.
· The correct axis values are displayed, even if they are done by additive calculation.
· You cannot change data outside of the map by chance.

You’ve created a map with the methods described above and now want to change it. The simplest possibility is to use the keys “+” and “-“ to increase or decrease the value at the current cursor position. Keep the key pressed to make the change go faster and faster. If you want to return to the original value then use the menu item “Edit > Original value” (Hotkey F11).

If you’ve created a selection this will apply to the entire selection. By the way: You can also change the way that selections are created. Normally a selection is kept until you delete it (“Selection > Select nothing” or the key „Del“). But you can also configure WinOLS (“Miscellaneous > Configuration” or F12), so that a mouse click will always remove the previous selection (on the page “Miscellaneous“).

If you click with the right mouse button into a selection, you’ll see a menu will several more tools to change the selected values. Finally another very simple method shall be mentioned: Simply press the Enter key, enter a new value and again press the Enter key.


Correcting checksums

Navigation: Start page > Typical tasks >

Correcting checksums

Correcting checksums is very easy because this is often done by additional plug-ins. These must be purchased separately but for this they also do all the work needed automatically.

Start the checksum dialog with the menu item “Edit > Checksum” (Hotkey F2). Click on “Search”. If you own the right checksum module, it will automatically be applied and the checksum will be calculated and (if you want that) always be corrected.

If you do not have the matching module, you can let EVC check your project for free and without any commitments. Click on “Search checksum online”. The project will be compressed and uploaded to the EVC server (Internet connection required). A few seconds later you will receive an answer, telling you which checksum module will work for your data.

Important: Some checksum modules require an unmodified original version. That means, that you must have loaded the original data from the car as original version into the WinOLS project. Otherwise it may happen that the checksum is not recognized or not calculated correctly.


Import data from older projects

Navigation: Start page > Typical tasks >

Import data from older projects

If you have a new project that is similar to an old one, there is no reason to reinvent the wheel. WinOLS has many Features to import the data. This applies both to structure information like maps and to concrete changes.

WinOLS offers the following Features:

· Import changes
· Reference version + Connect windows
· Import maps
· Map packs
· Scripts

Import changes

This is the most simply possibility to import data from another, opened project into the current project. Choose the menu item “Project > Ex- and Import > Import changes” (Hotkey Ctrl+Alt+I). In the automatic mode WinOLS will automatically recognize the maps the search them in the current project. The manual mode prepares two windows with Reference and Connection.

Reference version + Connect windows

These modes allow you to manually import data. This makes it very powerful, but also more difficult to use, than the assistant described above. You can activate these modes manually with the menu items of the “View” menu or let WinOLS configure them for you as described above. Afterwards you’ll have both projects next to another. If you scroll one project, the other will be scrolled, too. To make comparison easier, the other window will always be the “reference version”, meaning that its data will be used as original version for the current window (only temporary, don’t worry). With a right click on a selection or a map in the hexdump you can transfer the data (Menu item “Transfer values” or “Transfer maps”)

Import maps

If you’re sure that all maps are still at the same address, you can use this menu item to import map information from another project. This will only transfer structure information (address, size, ...). The data within the maps will not be important.

Map packs

Similar to the point above, map packs can transfer map data. But you must begin by exporting maps from the old project into a map pack file to import them afterwards into the new project. This has several advantages. These files are much smaller than project files because they contain only structure information, no map values. This makes it easier to transfer them. Furthermore you can enter an offset when importing them.

Scripts

This option was build into WinOLS for power users. With scripts (“Project > Ex- and Import > Scripts” or Hotkey F8) you can export structure and / or values of maps in special script files. These files automatically recognize if they can be applied and at which position the map, that should be modified, is located. Changes can be done absolute, as difference or percentual. Use scripts if you have to do the same similar changes for many files.


Special Aspects

Navigation: Start page

Special Aspects

Please choose one of the following topics:

· Keyboard Shortcuts
· Drag and Drop
· Clients
· Elements
· Selections
· Context menus
· Mouse cursor
· Floating dialogs


Keyboard Shortcuts

Navigation: Start page > Special Aspects >

Keyboard Shortcuts

WinOLS support keyboard shortcuts for many functions. Most of them are documented directly next to the function in the pulldown menu and in the tooltip of its icon. The following shortcuts are not listed there:

Cursor + Navigation

Scroll Lock | Toggle the Scroll Mode. In this mode you can easily scroll through hexdumps with the left mouse button.
Ctrl+Up | Scrolls the visible area up
Ctrl+Down | Scrolls the visible area down
Ctrl+Top | Moves the cursor to the beginning of the window
Ctrl+End | Moves the cursor to the end of the window
Shift+Cursorkeys | Moves the cursor and creates a selection while moving
Ctrl+Cursor l/r | Moves the starting address of a hexdump
Ctrl+Shift+Cursor l/r | Rotates the view (3d mode only)
T | Previous view mode (3d -> 2d; 2d -> Text)
Shift+T | Next view mode (Text -> 2d; 2d -> 3d)
Ctrl+PageUp | Page up (with configurable jump size)
Ctrl+PageDown | Page down (with configurable jump size)

Special cases with Alt, Shift, Ctrl

Shift while starting OLS | WinOLS starts without loading the previously opened windows.
Ctrl while starting OLS | The simulator status display is not initialized / used
Shift+Mousewheel | Scrolls by pages instead of lines
Shift while creating a map | The automatic map detection is suppressed
Strg+Mousewheel | Set zoomfactor / fontsize
Ctrl+Shift+Mousewheel | The cursor is moved over the changes cells

Mouse functions

Left: Click | Sets the cursor position
Left: Click+Drag | Selects an area
Left: Click+Drag+Ctrl | Extends the current selection with another area
Left: Doubleclick | Opens the menu ‘Properties: Window’
Left: Doubleclick on address column in text hexdump | Opens the menu ‘Go to address’
Middle: Click+Mousewheel | Changes the selection depending the cursor position in the selection
Middle: Click+Mousewheel+ Shift | As above, but stronger
Right: Click | Opens the context menu


Drag and Drop

Navigation: Start page > Special Aspects >

Drag and Drop

WinOLS supports drag and drop. You can simply drag a file into the WinOLS program window and drop it there. You can drag either a file from from the Windows explorer or an attachment from an e-mail stored in Outlook.

Normally you can only drag one file at a time into WinOLS.

The following file types are supported:

· Binary files
· OLS and WinOLS files (*.dat / *.ols)
· Map-Pack-Files (*.kp)
· Selection files (*.blk)
· Intel hex files (often *.hex)
· Motorola hex files (often *.s19)
· Key files (*.scr)
· SPI key files (*.spikey)
· Ifo files (*.ifo) / Ini files (*.ini)
· vSpire files (*.vSpire)

The following file types are supported by plugins:

· Vadis VBF files (*.vbf; Vadis VBF Import/Export plugin required)
· Lua skript files (*.lua; External control plugin required)
· ASAP2 files (often *.a2l; Damos plugin required)
· Damos files (often *.dam; Damos plugin required)

All these file formats (except for Damos and ASAP2 files) can be imported while by compressed (as *.zip or *.rar file). Simply drag the archive file into WinOLS.

There are some tricks:

· Drag the file into an existing project window to create a new version for an existing project.
· Drag the file into the program itself (for example into the menu bar area) to create a new project for this file.
· If you’re dragging an Intel or Motorola hex file into an existing project you may press the CTRL key while releasing the file. This will cause WinOLS not to create a new version, but write the data over the current version.
· You can drag and drop two files at once when importing 16 bit in two files. WinOLS will automatically try to find out which is high and which is low.
· Damos files may only be dragged into existing projects.
· Dragging a key file into the workspace changes the configuration, dragging it into the project changes the project.
· If (during the drag and drop process) the target window (WinOLS) is hidden, simply move the cursor (while keeping the mouse button pressed) over the WinOLS entry in the task bar (lower border of the screen) and wait without releasing the mouse button. This will bring the WinOLS window into the foreground.


Floating dialogs

Navigation: Start page > Special Aspects >

Floating dialogs

WinOLS supports several (so-called) "floating" dialogs. These are dialog windows that are shown above the normal workspace without blocking it. This means that you can work with WinOLS normally even though the window is open and (as it looks like) lies above the workspace. This allows you for example to work while the search window is open and shows it results.

You may toggle these dialogs separately (with their respective hotkey, icons and menu items). Or you may use the tab key (left of the Q-key) to toggle all windows that can currently be seen.

A floating dialog may be recognised by its smaller title bar (the blue bar where the name of the window is shown), compared to normal windows.

By the way, all floating windows are "magnetic". This means, if you move the window and get close to another window or the screen border, then it will jump exactly there to support a "nice" positioning.

The following windows float:

· Overview
· Differences
· Map Selection
· Preview
· Search for Byte sequence / Text

The "map selection" is a special window, because it can have to states. If it is docked to the window border (left or right) it is not seen as a floating window. You may toggle between the two states (docked / floating) by double-clicking its headline.


Mouse cursor

Navigation: Start page > Special Aspects >

Mouse cursor

WinOLS uses the mouse cursor to display information about what can currently be done with a click of the left mouse button.

The following mouse cursors are used (apart from the default cursor).

Viewmode ’Text’:

This cursor appears when you move the mouse over the double line of a hexdump (right of the address column). Click and drag to move the visible area vertically.

This cursor appears when you move the mouse over the single line of a hexdump (between the hexdump and the bars). Click and drag to change the number of columns.

Viewmode’2d’:

This cursor appears when you move the mouse over the lower scale. Click and drag to move the visible area horizontally.

This cursor appears when you move the mouse over the right scale. Click and drag to move the visible area vertically.

This cursor appears when you move the mouse over the left end of a selection. Click and drag to move the beginning of a selection.

This cursor appears when you move the mouse over the right end of a selection. Click and drag to move the end of a selection.

This cursor appears when you move the mouse over a rowmarker within a selection. Click and drag to change the number of columns.

This cursor appears when you move the mouse outside a rowmarker within a selection. Click and drag to move the start address (and thus the rowmakers).

This cursor appears when you move the mouse cursor directly over a 2d value that is either currently selected by the editing cursor or that is part of a selection. Click and drag to change the value / all selected values. You can disable this function in the configuration under "2d".

Viewmode’3d’:

This cursor appears when you move the mouse over the left or right edge of the floor grid. Click and drag to change the strength of the perspective.

This cursor appears when you move the mouse over the lower edge of the floor grid. Click and drag to rotate the view.

This cursor appears either when you move the mouse cursor directly over a 3d value that is currently selected by the editing cursor or when you move the mouse cursor over a selection. Click and drag to change the value / all selected values. You can disable this function in the configuration under "3d".


Context menus

Navigation: Start page > Special Aspects >

Context menus

Context menus are all menus which appear when you click with the right mouse button somewhere in the window. These menus contain functions which relate to the current context (meaning where you click).

All entries in context menus show help texts in the status bar (lower edge of the screen), when you move the mouse cursor over the respective entry.

The following context menus are used by WinOLS.

All view modes:

Click in the data: A context menu appears with functions for editing and navigation.

Click in selected data: A context menu appears with functions for changing a selection and editing the context.

Click in the ASCII or bar data: A context menu appears with functions for changing the view mode of the right side.

View mode ’Text’ and ’2d’:

Click on the headline of a potential maps: A context menu appears with functions for working with potential maps.

View mode ’Text’:

Click on the single vertical line: A context menu appears with functions for changing the number of columns.

Map only: Click in the axis description or the upper left corner of the map to quickly change the unit (factor, offset, description, etc.) of the axis or the map data.

View mode ’2d’:

Click on the vertical or horizontal scale: A context menu appears with functions for changing the zoom factor.

Window ’Map selection’:

Click on a project or map: A context menu appears with functions for opening, closing, coping and deleting of windows.


Selections

Navigation: Start page > Special Aspects >

Selections

Basics:

If you want to change multiple data fields at once you must select them first. That is pretty easy and works just like in any other Windows application: Click somewhere (with the left mouse button), hold the button pressed and move the mouse. You’ve got selection.

But there are some tricks.

Selection modes:

WinOLS can select with 4 different styles: Consecutive, Rectangle, Rows or Columns. Just try them out. You can see the currently selected mode in the menu ’Selection’ / ’Selection mode’, in the default popup menu and perhaps in the toolbars if you have the ’Selection’ bar activated.

Trick: You can change a selection later if you chose the wrong mode. In order to do this, just finish the selection as usual and change the selection mode immediately afterwards. The selection will change into the new mode.

Trick: In text mode you may select rows by clicking on the address column.

Configuration:

Concerning selections, you may work with WinOLS in two different modes. The currently selection method can be seen in the Configuration dialog in the ’Miscellaneous’ tab under ’Delete selection when moving the cursor’.

If this checkbox is activated, selections immediately disappear if you change the cursor position. That’s the way it is done in many Windows applications. But this makes so-called multiple selections a bit more difficult. If you want to add another block to the current selection you must hold the ’Ctrl’ key pressed.

If the checkbox is not activated you can simply select again to extend the current selection. If you want to unselect everything, just use the ’Delete’ key.

Specials:

There are some special items in the ’Selection’ menu. They allow you to select all currently visible cells or to invert the selection.

Clipboard:

As usual, you may copy the current selection and insert it somewhere differently. Small selections may even be pasted into the search window as search text.

Load and Save:

You may save selections on your harddisk and load them later on again. This creates ’blk’ files. You will find the necessary commands in the menu ’Selection’. If you want to load a selection, you may also drag and drop its file into WinOLS.


Elements

Navigation: Start page > Special Aspects >

Elements

Basics:

In the past there was only one ECU with one eprom. WinOLS could only administrate one data range. Today things have changed. One ECU can contain data in multiple eproms, processor, eeprom, etc. That’s why WinOLS can now administrate these different data ranges, too. In WinOLS they’re called "Elements".

One project can contain up to 8 elements (but at least one). Each element contains the data from one hardware, e.g. from the eprom.

Seeing the elements:

By default WinOLS will shows you the eprom element. You can recognize that from the title of the WinOLS window: "WinOLS - 1134.ols (Original) as Engine / Eprom". If you have an element active, the map list will contain only the maps (and potential map), which are in this element. Other functions like the "Differences" window or the search function ignore the data outside the current element, too. Just like export functions that only support one element (e.g. the binary export) and thus only export the current element.

Please note: By default all elements begin with the address 0. Thus, you can have a map in the eprom element at the address 0 and a map in the CPU element at address 0. Nevertheless these are different maps with different contents

Changing the current element:

You’ll see a small black triangle next to the button "Properties: Project" (a green P on the symbol bar "Navigation"). If you click on it, a small menu will open, displaying all the elements that the project contains. Click on the desired element to activate it.

Instead you may also (if the project contains multiple elements) change the "ECU usage" in the project properties to get the same effect.

<All elements>:

The list with the elements also contains an entry "<All elements>". It shows all elements at the same time in one, long hexdump. This can be useful if you want to define the elements or if you’re unsure which element contains the maps that you’re looking for.

Editing & defining elements:

WinOLS automatically creates the elements when reading an ECU or importing from a BdmToGo file. If you want to change this definition, open the project properties and click the button "..." next to the ECU usage. The help for this dialog "Multiple elements in the project" explains the details.

Elements vs. Versions:

One project can contain up to 8 elements and any number of versions. For all versions of one project the element definitions (Number, size, area) are identical. So, for example, an eprom element in the original cannot have a different size from the eprom element in version 1. If you change the current version, this change always applies to all elements of the project.


Clients

Navigation: Start page > Special Aspects >

Clients

Basics:

Clients allow you to quickly switch between eprom file data paths. This influences the project open function, searching for similar projects and creating new projects. Clients make it easier for you to sort your projects. This way you can create folders, e.g. for:

· Major customers
· Old projects
· Employees
· Finished / Unfinished projects

Creating clients:

You can configure the clients on their own page in the configuration (below Paths). You can also assign names to your customers to make it easier to administrate them.

Changing the current client:

You can find the client icon (a hat) in the "Navigation" toolbar and in the dialog "Open project" which allows you to switch between the pre-configured clients.

Consequences:

Projects that do not belong to the current client (and reside in his folder) are invisible for the WinOLS file functions. They do not appear in the project list and are not taken into account for functions like "Search similar projects" or "Update projects".

Projects that are already open when the client is changed remain with their old client and will continue to be saved to his data path. But they also refer to current data path (and not to their own) for file functions like "Search similar projects". To move an existing project to a different client, right-click it in the "Open project" dialog.

If you create a new project (through the "New" menu item or by drag and drop), then this project will always be created for the current client.


Reseller

Navigation: Start page > Special Aspects >

Reseller

Basics:

Reseller are a method to let WinOLS-users transfer or sell projects to other users. To publish projects, you have to be registered at EVC as reseller. To receive data from resellers, you only have to be accepted as customer by a registered reseller (and then use the WinOLS update function). You will then have the option to use the "Open project" dialog to access the reseller's data as if it was stored as a client (hat-icon).

Credits:

The base for the billing between reseller and customer are credits. Each project costs 10 credits by default, but the reseller may use the project properties dialog to enter a different value (including 0). A separate account is maintained for each reseller/customer combination. The real value can be negotiated between reseller and customer.

Reseller registration:

Please contact EVC for this. After the registration you will be configured as reseller when you start the update function the next time. A special client (with a corresponding folder in the file system) will be created. WinOLS will store all projects that you keep here on the EVC server.


Commands of the menu Project

Navigation: Start page

Commands of the menu Project

The menu Project contains the following commands:

New | Creates a new empty project
Open | Opens an existing project
Open version | Opens a different version from the current project
Close | Closes an open document
Save | Saves an open project under its filename
Save all | Saves all open projects under its filenames
Properties: Project | Shows the properties of the current project
Properties: Version | Shows the properties of the current version of the project
Search similar project | Searches all projects on the harddisks for identical hexdump data
Search double versions | Searches all files for versions which exist twice.
Update all projects | Updates information in all projects
Ex - & Import | See below
Print | Prints a document
Print preview | Previews a document as it would look like when printing
Configure printer | Selects a printer and a printer connection
Exit | Exits WinOLS

The Submenu Ex- and Import contains the following items:

Import File | Creates a new version from a raw-file.
Export File | Creates a new raw-file from a version.
Send project as Mail | Creates a new E-Mail and appends the current project as attachment.
Import directory | Imports entire directories into the WinOLS directory
Export CSV map list | Creates a (with Excel readable) CSV file containing a list of all maps
Export map pack | Exports a list of all map into a KP file, for a later import
Import map pack | Imports a previously exported KP file
Import maps | Imports all maps from one file into the current project
Import changes | Imports maps from another project, even if they were moved to another address.
Import Damos & ASAP2 | Allows you to import maps from DAM or A2L files. This function requires the Damos-Plugin


The command New (Menu Project)

Navigation: Start page > Commands of the menu Project >

The command New (Menu Project)

Use this command to create new projects in WinOLS from an existing binary file, eprom or ECU. By default the dialog shown above will appear to help you continue. You may turn it off, if you don't like it.

Use the Open command to open existing projects.

If you keep the shift key pressed, while clicking the icon in the symbol bar, the import dialog will be opened after the new project windows was opened.

If you've turned the dialog off, you could (after you've created a new project)...

· Import a binary file
Open the ’project’ menu and the ’import / export’ submenu. Select ’import file’. Now you may import a plain binary file or other file types. If you are unsure what kind of file you have you may also use drag and drop. To do this, just drag the file from the windows explorer into the empty project. WinOLS recognises most file types automatically when using drag and drop.
· Read a file from an eprom
Open the ’hardware’ menu and select ’producer’ to specify the eprom type you have. Again, open the ’hardware’ menu, and select ’read’ from the ’eprom’ submenu.

· Read a file from an ECU via the BDM100 module
Open the ’hardware’ menu and select ’read’ from the ’BDM’ submenu.

Shortcuts

Symbol bar:
Keyboard: CTRL+N


The dialog Data organisation

Navigation: Start page > Commands of the menu Project > The command New (Menu Project) >

The dialog Data organisation

The dialog will be displayed in different areas.

When importing a version you can configure the data source you want to use. When exporting a version you can configure the kind of data file you want to create.

First you can choose the file format you want to process. Binary files contain the pure eprom data without any control information. WinOLS may also read from two files (one byte from each file alternating). Furthermore you may read OLS files and read or write WinOLS files. You can recognise OLS files at the file suffix ‘.dat‘ and WinOLS files at the file suffix ‘.ols‘. If you export ols-files you can also create older versions. (The WinOLS file format has been changed several times due to the numerous improvements, which have been made. If you want to create a WinOLS file that can be read by an older version, you can configure it here.)

Furthermore you may read and write Intel-Hex files. These files often carry the files suffix ‘.hex‘ sometimes also ‘.paf‘ or ‘.daf‘. And your may read and write Motorola-Hex files. These files often carry the suffix ‘.s19‘.

Optionally swapping of data lines can be activated, which is done just like it would be done when you are using the integrated eprommer. In order to activate this option you must select a producer and activate the swapping of data lines.

Furthermore it is possible to encrypt data and lines just like it would be done with the integrated eprommer. In oder to activate this option you must enable encryption in the producer dialog and select a key file.

After that an address range can be configured. When importing this option is only available if the project already contains a version. It is always available when exporting.

When exporting you may ‘zip‘ the results. This will create a compressed (=smaller) files, which is great for sending it by e-mail. In order to unpack it you’ll need programs like WinZip (www.winzip.com).

When importing into a project which already has a version you may decide not to create a new version but to overwrite the current one. This is especially useful when you want to combine multiple Intel or Motorola files.

Notes about file formats: BdmToGo-Files can only be exported if the project is marked as BDM project in the project properties.

Notes about exporting elements: If the file format doesn’t support elements, only the data from the currently active element will be exported. If you want to export all elements, select <All elements> before exporting. If the file format supports elements (only OLS and BdmToGo files do this), all elements will be exported, regardless of the element that is currently active.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Open (Menu Project)

Navigation: Start page > Commands of the menu Project >

The dialog Open (Menu Project)

This dialog allows you to search, manage and open projects. It lists all files in the current project folder. You may use the hut icon in the upper right corner to change the current client and thus folder.

Filter tabs:

Use the tabs on the top of the dialog to choose if the want to see all projects, projects that were changed today or projects where the producer begins with a certain letter. You may also activate the letters with the hotkey Ctrl+A to Ctrl+Z. To select which tabs you want, click on the tabs using the right mouse button.

Search function:

You may also simply type into the list to just to the next entry which begins with the letters that you enter. The letters that you enter will appear in the combobox at the bottom. If you activate "filter instead of search", the project list will show only projects that match your search string.

You may type a minus sign in front of a word to exclude all projects that contain this word from the results. And you can put words into quotation marks to search for projects that contain these words in exactly this way (and not just the individual words).

Context menu:

The tabs and calendar headers have their own context menu that can be accessed by clicking on them with the right mouse button to change configuration settings. By clicking on one or multiple projects you can access another context menu. Here you have options to edit, move, or send by e-mail, to export the list as text or perform a mass export of the files.

Note: It can happen, that only some of your files are displayed and the title bar of the window contains the text ’Only finished projects’. If this is the case, then you’ve deactivated the developer mode. As a consequence you can only see / open finished projects and you cannot change them. To reactivate the developer mode, open the configuration menu, select the page ’Miscellaneous’ and uncheck the ’Non-Developer Mode’.

Shortcuts:

Symbol bar:

Keyboard: Ctrl+O


The dialog Mass export

Navigation: Start page > Commands of the menu Project > The dialog Open (Menu Project) >

The dialog Mass export

The dialog mass export is a subdialog of the dialog 'Open project' where it can be reached through the context menu. It allows the export of all previously marked projects. Here you can choose which version shall be exported and in which format this should be done.

You can enter your own template for the file name. This template can contain a backslash ("\") to create your own structure of subfolders.


The dialog Open version (Menu Project)

Navigation: Start page > Commands of the menu Project >

The dialog Open version (Menu Project)

This dialog allows you to select and manage the versions of a project. With the buttons of the same name you may duplicate version, change their descriptions or delete them. You can drag+drop versions in the tree to change the version folders.

Use the button ‘As original’ to convert the selected version into the original version. As a consequence all future comparisons will use this version. The former original version will not be deleted; it will be stored in place of the currently selected version (swap).

Furthermore you may view and edit comments for all versions and for the project itself on the upper right corner of the dialog. Use the tabs the select the comment that is currently displayed. You may also view (but not edit) a summary of all comments

In the lower right corner a list is displayed. It contains all maps which are changed in this version from the original version. It will automatically be generated and cannot be edited.

Shortcuts

Symbol bar:
Keyboard: Strg+Shift+O


The command Close (Menu Project)

Navigation: Start page > Commands of the menu Project >

The command Close (Menu Project)

Use this command to close all windows concerning the active project. WinOLS will ask to save any changes before closing the project. If you’re closing the project without saving, all changes since the last save will be lost.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+F4


The dialog Save changes (Menu Project)

Navigation: Start page > Commands of the menu Project > The command Close (Menu Project) >

The dialog Save changes (Menu Project)

This dialog will be shown when you close a project and still have unsaved changes.

Use the two checkboxes to configure which part of the changes to want to save. You can save changes in the eprom data independently from the changes in the map structure. The checkboxes only take effect if you confirm the dialog with ‘Ok‘.

If you leave the dialog with ‘Cancel‘ nothing will be saved, but the project won't be closed either. No data will be lost.

With the button ‘Close WITHOUT saving‘ you will (no matter whether checkboxes are checked or not) leave the project and discard any changes.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Save changes (Table style) (Menu Project)

Navigation: Start page > Commands of the menu Project > The command Close (Menu Project) >

The dialog Save changes (Table style) (Menu Project)

This dialog will be shown when you close WinOLS and still have unsaved changes in at least one project.

Use the table to configure which part of the changes to want to save. You can save changes in the eprom data independently from the changes in the map structure. The configuration done in the table does only take effect if you confirm the dialog with ‘Ok‘. To change the table, either click on the button ‘all’ or ‘none’ below the columns or click directly on the word ‘yes’ or ‘no’.

If you leave the dialog with ‘Cancel‘ nothing will be saved, but the project won't be closed either. No data will be lost. WinOLS will not be closed.

With the button ‘Close WITHOUT saving‘ you will (no matter how the table is configured) leave all projects and discard any changes. There will be no further questions.

Shortcuts

Symbol bar: -
Keyboard: -


The command Save (Menu Project)

Navigation: Start page > Commands of the menu Project >

The command Save (Menu Project)

use this command to save the active version of the current project under its current name and directory.

Often you’ll have several windows for the current version opened. Not the window, but the version is saved, so this command affects all windows of this version.

Shortcuts

Symbol bar:
Keyboard: Ctrl+S


The command Save all (Menu Project)

Navigation: Start page > Commands of the menu Project >

The command Save all (Menu Project)

Use this command to save all opened project versions.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+Shift+S


The Dialog Properties: Project (Menu Project)

Navigation: Start page > Commands of the menu Project >

The Dialog Properties: Project (Menu Project)

The properties of the active project may be edited with this dialog. If the project contains several versions the data displayed in this dialog applies to all versions. In the lower, right corner a sample value is displayed.

A click on the blue hyperlink 'Client', 'Vehicle' or 'Engine' shows the properties of the projects previously used as a menu. Click on a menu line if you want to use these values.

Client:

Enter the customer details here for your reference. The customer details can be used in reports. Use the button [...] to reach the customer list dialog. If you use the project state "in development" then the profile is hidden from WinOLS users that have the "non-developer" mode active. If you mark the project as "master" then it will displayed with higher relevance in the "Import similar" dialog.

Vehicle:

The fields ‘Producer‘, ‘Chassis‘ and ‘Model‘ can easily be filled in with the mouse. Just click (in the uppermost field) on the arrow to get a list. Immediately after you made your choice, the further drop-down lists will be filled with the matching data for the selected producer (or producer and chassis).

User defined:

In the lower left corner you can see 5 fields that you can use for your purposes. You can edit the field name by clicking on the blue underlined text. (The 5 field names are the same for all projects.)

ECU:

Use the button '...' next to 'usage' to get to a subdialog which allows you to configure the elements in the project.

With the field 'Softwaresize' you may not only view the current size, but also change it. Please note that this will affect all versions of the current project and that the change cannot be undone. If you make the softwaresize smaller than it currently is, data will be lost permanently.

Communication:

Use the checkboxes 'Spi', 'Eprom' and 'Bdm' to set the type of projects. This has an influence on what export and hardware functions are available for the project. If you activate the checkbox 'read protection', the BDM project will be marked and thus cannot be read by your competitors using WinOLS.

Buttons:

With the button ‘Search vehicle data‘ you may let WinOLS recognize several technical information about the project. You can configure WinOLS in such a way that this is done automatically for new projects (You will find the option in the configuration dialog on the ‘Automatically‘ page.)

The button ‘Search online‘ can save you a lot of time when you're filling the in the form. To achieve this, several characteristics from the project will be transferred to an internet database. Within seconds you'll receive a resulting list with matching models. With a single mouse click you may transfer the results into the form.

Sometimes it may happen that a model is not yet in the database, so you still have to enter the data manually. With the option ‘Store online‘ you may store the model in the internet database. If you get similar models in future, they will automatically be recognized, too.

Note: Both the function ‘Search online‘ and ‘Store online‘ only transfer a few characters of the projects to the internet database. The project itself and the changes you made will not be transferred and continue to exist only on your harddisk.

Note: You can also fill the property fields of a project with values by dragging a Byteshooter ifo file or a WinOLS ini file into the project window. This is done automatically if such a file exists in the same folder and with the same filename (except for the suffix).

Shortcuts

Symbol bar:
Keyboard: Ctrl+Alt+Enter


The dialog customer list

Navigation: Start page > Commands of the menu Project > The Dialog Properties: Project (Menu Project) >

The dialog customer list

From the dialog "ECU properties" you can reach the dialog "Customer list". This dialog allows you to administrate a list of all customers and to reach the matching entry via the entry from the previous entry.

You can create, edit or delete the customers separately. The list is stored independently from the current project. Use the button "OK+Accept" to copy the currently selected entry into the "ECU properties".

By default WinOLS stores the data from this list inside the WinOLS configuration file. You can change this behavior in the options on the page "Path". There you can specify a CSV file which WinOLS can use to store this file. The CSV file can be stored on a network drive and used by multiple WinOLS clients.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog customer details

Navigation: Start page > Commands of the menu Project > The Dialog Properties: Project (Menu Project) >

The dialog customer details

From the dialog "Customer list" you can reach the dialog "Customer details". This dialog allows you to view and edit each customer’s data.

Shortcuts

Symbol bar: -
Keyboard: -


WinOLS ini files

Navigation: Start page > Commands of the menu Project > The Dialog Properties: Project (Menu Project) >

WinOLS ini files

You can use ini files to store descriptions of WinOLS project properties. Drag such a file into a WinOLS project to apply the texts to the project.

WinOLS ini files are normal text files with a file name that ends on ".ini" and this content:

[WinOLS]

VehicleType         = ...

VehicleProducer     = ...

VehicleChassis      = ...

VehicleModel        = ...

EcuProducer         = ...

EcuBuild            = ...

ClientName          = ...

ClientLicenceplace  = ...

VehicleModelyear    = ...

VehicleVIN          = ...

EcuProdNr           = ...

EcuStgNr            = ...

EcuSoftwareversion  = ...

EngineName          = ...

EngineType          = ...

EngineDisplacement  = ...

EngineTransmission  = ...

Userdef1            = ...

Userdef2            = ...

Userdef3            = ...

Userdef4            = ...

Userdef5            = ...

OutputPS            = ...

OutputKW            = ...

All lines, except the [WinOLS] line are optional. Instead of the "..." in the text above simply use the text that you want to import.


The dialog Properties: Version (Menu Project)

Navigation: Start page > Commands of the menu Project >

The dialog Properties: Version (Menu Project)

Use this dialog to edit the properties of the current version of the project.

Name | A title which is also displayed in the selection list when opening the project.
Folder | The project is organized in this version folder. (Can be empty)
Comment | A user-defined description of the version.
Linked files | This field can store a list of files that are related to the current version. The files are not used by WinOLS, but the list is stored here for your reference only. The project version stores link to the files only (and not their contents). To add files, use the "Add" button or drag+drop the files into the field. Double-click a list entry to open the file. If you rather want to store the link for all versions use the "Comment" button in the project properties.
Signature | If this project version was signed (with the sign hexdump function) the signature text will be displayed here.
8 bit sum | The 8 bit sum of the original and the current version is displayed here

Shortcuts

Symbol bar:
Keyboard: Shift+Alt+Enter


The command Search similar projects (Menu Project)

Navigation: Start page > Commands of the menu Project >

The command Search similar projects (Menu Project)

Use this command to search projects on your harddisk which contain data identical with the active project. The result is displayed in the known ‘Open’ dialog.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+Alt+O


The command Search double versions (Menu Project)

Navigation: Start page > Commands of the menu Project >

The command Search double versions (Menu Project)

This command will search all projects on the hard disk and whether any project contains the same version twice. If such a project is found, WinOLS will ask if it should delete one of the two versions.

Note: This process may take several minutes.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Update all projects (Menu Project)

Navigation: Start page > Commands of the menu Project >

The dialog Update all projects (Menu Project)

Use this dialog to update several aspects in all projects. In order to achieve this all projects are loaded, updated and save (if necessary). Use this feature when WinOLS offers new features (e.g. 8 Bit sum of the original version) or you’ve licensed a new checksum. Without this dialog the new fields in the project open dialog would stay empty at first.

‘Vehicle data‘ are multiple fields from the project properties dialog, which you could also fill manually with the button ‘Search vehicle data‘.

‘Checksums‘ apply the checksum search to the project. If you’re choosing ‘Quicktest‘, the projects are only tested roughly. In this case no blocks will be entered and WinOLS will not ask any questions. But in may happen that checksums are found, where there aren’t any.

Note: This process may take several minutes. WinOLS may ask questions. Projects that are currently open, are not processed. The 8-Bit checksum of the original version is recalculated automatically.

Shortcuts

Symbol bar: -
Keyboard: -


Ex - & Import

Navigation: Start page > Commands of the menu Project >

Ex - & Import

Please choose a subtopic.


The dialog Import file

Navigation: Start page > Commands of the menu Project > Ex - & Import >

The dialog Import file

When importing a version you can configure the data source you want to use.

First you can choose the file format you want to process. Binary files contain the pure eprom data without any control information. WinOLS may also read from two files (one byte from each file alternating). Furthermore you may read OLS files and read or write WinOLS files. You can recognise OLS files at the file suffix ‘.dat‘ and WinOLS files at the file suffix ‘.ols‘. Furthermore you may read and write Intel-Hex files. These files often carry the files suffix ‘.hex‘ sometimes also ‘.paf‘ or ‘.daf‘. And your may read and write Motorola-Hex files. These files often carry the suffix ‘.s19‘.

Optionally swapping of data lines can be activated, which is done just like it would be done when you are using the integrated eprommer. In order to activate this option you must select a producer and activate the swapping of data lines.

Furthermore it is possible to encrypt data and lines just like it would be done with the integrated eprommer. In oder to activate this option you must enable encryption in the producer dialog and select a key file.

After that an address range can be configured. When importing this option is only available if the project already contains a version.

When exporting you may ‘zip‘ the results. This will create a compressed (=smaller) files, which is great for sending it by e-mail. In order to unpack it you’ll need programs like WinZip (www.winzip.com).

When importing into a project which already has a version you may decide not to create a new version but to overwrite the current one. This is especially useful when you want to combine multiple Intel or Motorola files.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Export file

Navigation: Start page > Commands of the menu Project > Ex - & Import >

The dialog Export file

When exporting a version you can configure the kind of data file you want to create.

First you can choose the file format you want to process. Binary files contain the pure eprom data without any control information. WinOLS may also read from two files (one byte from each file alternating). Furthermore you may read OLS files and read or write WinOLS files. You can recognise OLS files at the file suffix ‘.dat‘ and WinOLS files at the file suffix ‘.ols‘. Furthermore you may read and write Intel-Hex files. These files often carry the files suffix ‘.hex‘ sometimes also ‘.paf‘ or ‘.daf‘. And your may read and write Motorola-Hex files. These files often carry the suffix ‘.s19‘.

Optionally swapping of data lines can be activated, which is done just like it would be done when you are using the integrated eprommer. In order to activate this option you must select a producer and activate the swapping of data lines.

Furthermore it is possible to encrypt data and lines just like it would be done with the integrated eprommer. In oder to activate this option you must enable encryption in the producer dialog and select a key file.

After that an address range can be configured. When exporting Intel / Motorola hex files, you can also configure the number of columns (bytes per line) in the file. This will help you create special file variations if a third-party program requires them.

When exporting you may ‘zip‘ the results. This will create a compressed (=smaller) files, which is great for sending it by e-mail. In order to unpack it you'll need programs like WinZip (www.winzip.com).

When importing into a project which already has a version you may decide not to create a new version but to overwrite the current one. This is especially useful when you want to combine multiple Intel or Motorola files.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog BdmToGo-Properties (Menu project)

Navigation: Start page > Commands of the menu Project > Ex - & Import > The dialog Export file >

The dialog BdmToGo-Properties (Menu project)

This dialog is shown if you choose BdmToGo as file format when exporting. BdmToGo files are compact and can be programmed into ECUs using BDM100 devices. Depending on the settings they may also be used to send somewhere and re-import them into WinOLS without programming them

You can choose up to 3 areas, which should be compared with the ECU before programming. This was introduced to protect the user from using the wrong ECU and it is also a copy protection for your work. Simply include the VIN into the checked areas and the file can only be programmed into the desired vehicle (and not into all other similar vehicles). It is recommended to mark the areas by comments. If you use the comment names "BDM1", "BDM2" or "BDM3", WinOLS will recognize the comments and automatically enter the marked areas into this dialog.

The address ranges have to be entered as hexadezimal.

Notes about elements: Elements that contain differences between original and version are printed in bold.

Notes about the protection mechanisms: Activate the checkbox "This file may not..." to disallow WinOLS (the WinOLS on other machines AND your WinOLS) to re-import the file, because then the use might edit the areas mentioned above. This option does not modify the programmed data and thus does not offer any protection against re-reading the data from the ECU. To get that kind of protection, activate the option "BDM read protection" in the project properties. It will place a marker into the data and thus the re-read project can only be imported into a WinOLS that is registered to your customer number.

Shortcuts

Symbol bar: -
Keyboard: -


The command Send project as Mail

Navigation: Start page > Commands of the menu Project > Ex - & Import >

The command Send project as Mail

Use this command to send the current project by e-mail. You may choose the format that is used for the transfer (binary, Intel, WinOLS, etc.) encoding. The actual sending will be performed by your default mail application.

Use in the Configure dialog the 'Mail' section to enter standard texts.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+M


The command Import directory (Menu Project)

Navigation: Start page > Commands of the menu Project > Ex - & Import >

The command Import directory (Menu Project)

This command allows you to import all files from a directory into the current WinOLS project folder (belonging to the current client). For file formats that can only have a certain suffix (like BdmToGo) only files with this suffix will be imported.

Shortcuts

Symbol bar: -
Keyboard: -


The command Export CSV map list (Menu Project)

Navigation: Start page > Commands of the menu Project > Ex - & Import >

The command Export CSV map list (Menu Project)

This command allows you to export all information about the maps of the current project into a CSV file. You can open this type of file with the usual spreadsheet applications, like Microsoft Excel. For each map the address, the name and the size will be exported. The data which is inside the map will not be exported.

You can reach this command with the menu 'Project' as well as with the special menu of the map list. You can reach the latter by clicking on the small black triangle within the map list window.

Shortcuts

Symbol bar: -
Keyboard: -


The command export map pack (Menu Project)

Navigation: Start page > Commands of the menu Project > Ex - & Import >

The command export map pack (Menu Project)

This command will export all maps (but not the data inside the maps) into an extern file. This file can be transported as any other file and be imported into other projects.

Shortcuts

Symbol bar: -
Keyboard: -


The command import map pack (Menu Project)

Navigation: Start page > Commands of the menu Project > Ex - & Import >

The command import map pack (Menu Project)

This command will import all maps (but not the data inside the maps) from a (previously created by an export process) map pack file.

Shortcuts

Symbol bar: -
Keyboard: -


The command import maps (Menu Project)

Navigation: Start page > Commands of the menu Project > Ex - & Import >

The command import maps (Menu Project)

Use this command to import all maps (but not the hexdumps) from another WinOLS File into the current project. The eprom contents will not be changed, only map definitions are imported.

The source project is selected in the usual way. It will not be modified by this command.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+Shift+I


The command Import Changes (Menu Project)

Navigation: Start page > Commands of the menu Project > Ex - & Import >

The command Import Changes (Menu Project)

With this assistant you may import maps from another project. This function is much more flexible than the function import maps. It is no problem for this command if the maps were moved to another address or has even changed data.

In the automatic mode (the 3 following images) WinOLS recognizes maps and changed data ranges and tries to map these to new projects. You just have to select to them.

In the manual mode (the last image in this series) WinOLS prepares windows from the old and new project in such a way, that you can optimally compare them. The old project is displayed normally. The new project receives the old project as original.

AUTOMATIC MODE:

In the first step you must select the project from which you want to import maps from. (The current project is always used as target project.) Only projects which are currently opened can be selected.

If the source project has many maps, it can make sense to reduce the selection (and speed the import process up) by only showing maps which were changed in the source project.

Furthermore you may enter a tolerance for the map recognition. This will tell the assistant to accept small differences while searching the maps within the target project. However, this slows the search down.

In the second step you can select maps which you want to import into the current project. You may select whether you want to import the maps and / or the changed data in the map. Changes in maps are normally transferred as difference, meaning that the difference between original and version will be transferred. You may also decide to transfer the data absolute.

In the last step you may import data areas. Data areas are bytes which were changed in the source project but are not within a map. These data areas can be recognised in the target project and imported, too.

MANUAL MODE:

In the first step you must select the project from which you want to import maps from. (The current project is always used as target project.) Only projects which are currently opened can be selected.

Shortcuts

Symbol bar: -
Keyboard: -


The command Damos & A2L Import (Menu Project)

Navigation: Start page > Commands of the menu Project > Ex - & Import >

The command Damos & A2L Import (Menu Project)

Note: This command is not part of the WinOLS main program. It is an additional module and must be licensed separately.

You may also start this assistant by dragging a Damos or ASAP2 file into a project window. In this case the first two dialogs will be skipped.

This assistant will guide you through the import of Damos or ASAP2 files. Before starting it you should open a matching project file or create a project by importing the matching files, because this assistant always relates to the currently active project. The project data must match exactly the Damos or ASAP2 file, since the import may otherwise be incomplete or erroneous. If you want to use the maps in a different project, you should first import them into the matching project and then transfer them with the function 'Import changes' into your desired project.

In the first step you must select the Damos or A2L file that you want to import.

In the second step the file is analysed. The data will be read and stored into and internal format. Since the file formats are different and not all elements are properly document warnings and errors may be displayed. They won’t necessarily disturb the import and should be ignored if they’re small in numbers.

In the third step your must tell WinOLS whether you’re using the project that "belongs" to the Damos or ASAP2 File or not. For every Damos or ASAP2 file a project exists that "belongs" to it. Only if you’re using these two together an exact import is possible. Only since recently the Damos plugin allows it to import the data files into other projects. However, if you have access to the project that belongs to the file it is always best to import the maps into this project and transfer them with the "Import changes" function into the other project

If you want to (as recommened) use the project that belongs to the Damos or ASAP2 file you must enter the offset which should be used for the import. Within Damos or ASAP2 files different addresses are used as in WinOLS files. The offset is calculated as the difference between the two address formats. If the current project was imported from an Intel or Motorola file, the offset was stored (and additionally shown to you) and this field is already filled in. If this isn’t the case, you should try if the automatic offset detection can calculate it. It depends on the file structure whether this is possible. As a last possibility you can estimate the number (often a hexadecimal round address). As a help you can the address range in which the offset must be. It is calculated by the analysis of the file.

If you don’t have to project belonging to the data file, you can try to import the maps into another project. For this, choose the lower option. Please note that several restrictions apply, when using this import mode:

1. The project must be similar to the one that belongs to the data file.
2. In general only 1d and 2d maps can be imported.
3. The maps must be stored in a certain internal format within the Damos or ASAP2 file. Therefore it can happen that only a part or (in rare case) no maps at all are found.
4. It is more likely to find maps with ASAP2 files than in Damos.
5. In some cases the import uses heuristics, so the result isn’t 100% safe. Please check it before using it.

As a last step you only have to select the maps you want to import. Since there may be a large number of files in a file, you may reduce the current view by using the button 'filter '. Then only files matching the defined criteria (see below) will be shown. Furthermore you may enter a search text. In this case only maps that contain the text will be shown. With the buttons 'all' and 'none' you may either select all maps or remove the entire selection. The buttons 'all of this' and 'none of this' do basically the same, but only influence maps that are currently visible. Maps that are hidden by the current filters are not influenced. Before finishing the import and transferring the maps into the main program you can use the 'options' button (see below) to configure details for the import.

With the options you may configure which data parts should be imported. Normally all maps have a descriptive name an a unique id. You may choose to import one of them, both combined or (since recently) both separately into the respective fields of WinOLS. Furthermore you may import the maps together with their folders in which they are organised into WinOLS.

With these filter options you can determine which maps should be shown in the view and which should be hidden. You can select maps you their dimension and by the fact if they consist of constant values only or not.

Shortcuts

Symbol bar: -

Keyboard: Ctrl+D


The command Printing (Menu Project)

Navigation: Start page > Commands of the menu Project >

The Dialog Print options (Menu Project)

Use this command to print a document. The dialog shown above will appear where you can configure several things.

In the topmost area you may configure what you want to see from the currently active window (printing always refers to the currently active window). Either the data like it can currently be seen (for example 3d) or only the differences like they can be seen in the differences window.

In the part below the first you may configure the headlines that should appear on this page. This can be a static text (for example the company name) or a project property that can be inserted by a placeholder with the "Ins." button, just like in the Export dialog. Furthermore you may select a logo (a BMP-file) which will appear in the top right corner. You always need to enter the printing size (in mm) manually since this information is not included in the file.

The area in the lower left is only active if you print the current window normally (and not as Differences-List). Here you can configure which part of the document you want to print. There are several possibilities which are self-explaining. With the print options you can decide whether you want to print in colour, whether you want in include headlines (in addition to the ones you already configured above) with details about the current project and whether you want to print the row markers (2d-Mode only).

Shortcuts

Symbol bar:
Keyboard: Ctrl+P


The dialog Configure printing (Menu Project)

Navigation: Start page > Commands of the menu Project > The command Printing (Menu Project) >

The dialog Configure printing (Menu Project)

Use this dialog to choose the printer and printer connection.


The command Exit (Menu Project)

Navigation: Start page > Commands of the menu Project >

The command Exit (Menu Project)

Use this command to end your session in WinOLS. You may also select Close from the system menu of the application. WinOLS will ask you to save unsaved projects.

Shortcuts

Mouse: Doubleclick the applications system menu

Keyboard: ALT+F4


The commands 1, 2, 3, 4 (Menu Project)

Navigation: Start page > Commands of the menu Project >

The commands 1, 2, 3, 4 (Menu Project)

Use the number and filenames listed at the bottom of the menu to open one of the last 4 closed projects.


Commands of the menu Edit

Navigation: Start page

Commands of the menu Edit

The menu Edit contains the following commands:

Undo | Makes the last operation undone.
Redo | Repeats the last undone operation.
Copy | Copies the selection into the clipboard
Copy advanced |
- Copy address | Copies the current cursor address
- Copy map | Copies the current map
- Copy both axes | Copies both axes of the current map
- Copy both axes (Text only) | Copies both axes of the current map as text (for pasting in a text editor)
- Copy X axis | Copies the X axis of the current map
- Copy X axis (Text only) | Copies the X axis of the current map (for pasting in a text editor)
- Copy Y axis | Copies the Y axis of the current map
- Copy Y axis (Text only) | Copies the Y axis of the current map (for pasting in a text editor)
- Copy as C array | Copies the currently selected values as text in the format of an array in the programming language C.
- Copy as text | Copies the currently selected values as text (for pasting in a text editor)
Cut | Cuts the selection into the clipboard
Paste | Pastes the clipboard at the cursor location
Insert / Delete window |
- Insert new Hexdump | Inserts a new hexdump window
- Insert new Map | Inserts a new map window
- Delete Window | Closes and deletes the current window
- Open map | Opens the map window, that is at the current cursor location
- Delete map | Closes and deletes the map window, that is at the current cursor location
As text | Edits the current selection / cursor position as plain text.
Inplace Edit | Allows you to enter a new value for the current position
Sign Hexdump | Protect your project by entering hidden text that cannot be removed by others
Value +1 | Increases all selected cells by 1
Value - 1 | Decreases all selected cells by 1
Change absolute | Sets all selected cells to a definable value
Change relative | Changes all selected cells relatively to their current value
Change by edit | Changes all selected cells using slider controls
Original value | Sets all selected cells to their original value
Ändern wiederholen | Repeats the last operation
Checksums | Shows the checksum dialog
Apply checksum | Applies the checksums for the block at the cursor position
Search checksum online | Searches online for a matching checksum module
Properties: Window | Shows the properties of the current map- / hexdump-window


The command Undo (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The command Undo (Menu Edit)

Use this command to undo the last edit operation if this is possible.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+Z


The command Redo (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The command Redo (Menu Edit)

Use this command to redo the last operation undone if this is possible.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+Y


The command Copy (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The command Copy (Menu Edit)

Use this command to copy all selected cells into the clipboard. If there is no selection, the current cell will be copied.

You may also copy entire maps. To do so, just select the map you want to copy within the map selection window before copying. You may also use the map selection window’s context menu.

You may copy selections and paste them into Microsoft Excel in Order to transfer the values. If you copy entire maps from the map selection window, then the headlines and axis descriptions will be copied, too.

Copying data will delete any old data in the clipboard.

Shortcuts

Symbol bar:
Keyboard: CTRL+C


The command Cut (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The command Cut (Menu Edit)

Use this command to transfer the selected cells into the clipboard and remove them from the document. This command can only be used if cells are selected.

Cutting data will delete any old data in the clipboard.

Shortcuts

Symbol bar:
Keyboard: CTRL+X


The command Paste (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The command Paste (Menu Edit)

Use this command to paste a copy from the clipboard to the place you’re currently editing. This command is only available if the clipboard contains cell data.

You may also use this command to paste a map you previously copied.

Shortcuts

Symbol bar:
Keyboard: CTRL+V


Insert / Delete window

Navigation: Start page > Commands of the menu Edit >

Insert / Delete window

Please choose a subtopic.


The command Insert new hexdump (Menu Edit)

Navigation: Start page > Commands of the menu Edit > Insert / Delete window >

The command Insert new hexdump (Menu Edit)

Inserts a new hexdump-window. This command is used seldom.

Shortcuts

Symbol bar: -
Keyboard: -


The command Insert new Map (Menu Edit)

Navigation: Start page > Commands of the menu Edit > Insert / Delete window >

The command Insert new Map (Menu Edit)

Inserts a new map-window. This command is used seldom, because it’s easier to convert a selection into a map.

Shortcuts

Symbol bar: -
Keyboard: -


The command Delete Window (Menu Edit)

Navigation: Start page > Commands of the menu Edit > Insert / Delete window >

The command Delete Window (Menu Edit)

Closes and deletes the current window.

Shortcuts

Symbol bar: -
Keyboard: -


The command Open map (Menu Edit)

Navigation: Start page > Commands of the menu Edit > Insert / Delete window >

The command Open map (Menu Edit)

Opens the map, the cursor is currently within (in a hexdump window).

This command is only available, if the cursor is in a previously found map window. These areas are highlighted in the hexdump view.

Shortcuts

Symbol bar: -
Keyboard: -


The command Delete Map (Menu Edit)

Navigation: Start page > Commands of the menu Edit > Insert / Delete window >

The command Delete Map (Menu Edit)

Closes and deletes the map, the cursor is currently within (in a hexdump window).

This command is only available, if the cursor is in a previously found map window. These areas are highlighted in the hexdump view.

Shortcuts

Symbol bar: -
Keyboard: -


The Dialog as Text (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The Dialog as Text (Menu Edit)

Use this dialog to edit the eprom contents as a normal text, for example to mark something.

Create a selection without gaps before starting this dialog to edit an existing text or place the text cursor on the beginning of the text to use the automatic text recognition.

In the lower half of the window, you can see a list (automatically generated) with possible texts within this project. It may take several seconds until the list is complete. Click on an entry to edit the project at this position.

Use the tabulator bar above the list to switch to a list of predefined default texts. This list is empty when you install WinOLS. Use the Button "Add" to include the text currently entered into the list. The list will be stored project-independently on your hard disk.

If you want to have a bigger edit field, click on the button ">>".

Shortcuts

Symbol bar: -
Keyboard: -


The command Inplace edit (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The command Inplace edit (Menu Edit)

This command will open a small edit window at the cursor position. Here you may enter a new value for the current cell. This works mostly as in 'Change absolute'.

If you're using Factor / Offset: Always enter the value you later on want to see and not the one that should be stored in the eprom. WinOLS will convert it for you.

Shortcuts

Symbol bar: -
Keyboard: Enter


The Dialog Sign Hexdump (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The Dialog Sign Hexdump (Menu Edit)

Use this dialog to install texts into a project file in such a way, that it is normally not visible. This may be useful for example, to brand all your files 'invisibly' with your company name.

WinOLS will make very small changes to the project. These changes are normally too small to be relevant for the functionality, but large enough to code text into it.

In order to work these function needs to know what map or maps it may change. The larger the map and the more bytes per cell it has (for example 2 bytes for a 16 Bit value), the more data can be stored. For best performance use large maps. Otherwise you can only install small texts.

You may hide the texts from other companies. That way, other people (not in you company) working with WinOLS will not see any message at all. On the other hand you may decide to not to hide the texts. That way, other people can see the text in the dialog, but they do not know where the text is stored within the file. That makes it difficult (but not impossible) to remove. The best way is perhaps a combination. You can install one visible text and two more invisible.

Since signatures may be disturbed when you’re editing the project, it is recommended to let WinOLS check and restore them before the project is saved, exported or written into an eprom.

Some more notes:

· Don’t use maps with very small changes in the data, because the changes done by WinOLS could make a relevant difference when the data is used.
· You can install the same text several times for more security. If one change is disturbed, there are still other left.
· You can only remove signatures performed by your company. You cannot remove signatures from others.
· Use the 'Auto' function with care. It may select maps that are not fit for changes in your opinion.
· Check any maps that are changed afterwards to see if the changes are not too big.
· The function 'Remove Signatures' overwrites the signatures, but it does not restore the original values. If you want to get the original values, please use the undo command as usual.
· The signature can be seen in the install signature and in the version dialog.

Shortcuts

Symbol bar:
Keyboard: -


The command Value + 1 (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The command Value + 1 (Menu Edit)

Increases the values of all selected cells / the cell at the cursor position by 1.

Hold the key pressed to repeat this command (with increasing speed).

If you press the Ctrl-Key and the Plus Key (from the Decimalblock), this command works 100x stronger.

Shortcuts

Symbol bar:
Keyboard: Plus / Colon


The command Value - 1 (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The command Value - 1 (Menu Edit)

Decreases the values of all selected cells / the cell at the cursor position by 1.

Hold the key pressed to repeat this command (with increasing speed).

If you press the Ctrl-Key and the Minus Key (from the Decimalblock), this command works 100x stronger.

Shortcuts

Symbol bar:
Keyboard: Minus


The dialog Change absolute (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The dialog Change absolute (Menu Edit)

Use this command to set the current cell / all selected cells to a certain value.

WinOLS stores the data internally always in the same format that is used the eprom later on. But the values shown on the screen may differ, because of factor and offset in order to improve the display.

That’s why this dialog shows two values. The upper one is the same you’ll see in the current map or hexdump. All influences (like number system, factor and offset) are the same. The lower value is always in hex and the same value that is stored in the eprom later on. The two fields are connected and are updated automatically.

Shortcuts

Symbol bar:
Keyboard: =


The dialog Change relative (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The dialog Change relative (Menu Edit)

Use this command to change the current cell or the selected cells with mathematical operations.

Using the data source (upper part of the dialog) you can select the source where OLS gets the input data for the operations. Note: The option ‘Original Eprom’ means that version currently selected as original will provide the source data.

In the middle part of the dialog you can choose the mathematic operation which you want to apply for the cells.

In the lower part of the dialog you can enter the parameter you want to use for the selected operation.

For example enter 'Addition' and '1000' to increase all values by 1000 or 'percentage' and '-10' to decrease all values by 10%.

Shortcuts

Symbol bar:
Keyboard: %


The dialog Change by edit (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The dialog Change by edit (Menu Edit)

Use this command to change all selected cells with mathematical operations. The two upper areas work just like the dialog Change relative.

In contrast to the dialog Change relative there are 5 parameters for mathematical operations instead of just one. The parameter in the middle of the dialog influences all cells the same way. The other 4 parameters work depending on their position relative to the selection. For example the cells in the upper left of the selection are influenced most by the parameter in the upper left.

All parameters can also be entered using sliders. The sensitivity of the sliders can be changed with the scale slider.

If the checkbox ‘Changes in real-time’ is activated, all changes are applied to the map or hexdump window immediately. It is recommended to use this function with care, to avoid damages in the vehicle.

This command is only available when an area is selected.

Shortcuts

Symbol bar:
Keyboard: %


The command Original value (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The command Original value (Menu Edit)

This command resets all marked cells to their original value.

Shortcuts

Symbol bar: -
Keyboard: F11


The command Again (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The command Again (Menu Edit)

This command repeats the last operation for the current selection. Operation parameters (e.g. multipliers) are also repeated.

Shortcuts

Symbol bar: -
Keyboard: F9


The dialog Checksums (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The dialog Checksums (Menu Edit)

Use this dialog to manage the checksums which were found for this project. A checksum always consists of an area which is checked, an address where the checksum is stored and parameters which determine how the checksums calculates its results. A project can contain any number of checksums. For many cars there are checksum modules available which automatically recognize and correct the checksums.

For this dialog a simple and an extended view is available.

Simple view:

This dialog shows the current checksum status. Use the hyperlink "Search" to search for a checksum for your current project. All checksum plugins automatically recognize whether they can handle the current file.

Extended view:

Use the button ‘Search’ to search automatically for all kinds of known checksums. Additional modules are available for WinOLS which complement the main program. You can view a list of all available modules (at www.evc.de) with a click on ’Plugins in the web’. If you click on ’Search checksum online’ WinOLS will check online if there is a checksum module available for your current project.

Using the button ‘description’ you can edit the parameters of the selected checksum. Use the button ‘apply’ to apply the selected checksum immediately.

By activating the SPI-detection a SPI-identifier will be integrated (or removed) in the file.

If the option ‘Protect data outside of checked areas‘ is activated, any change of data that is not covered by a checksum will cause a dialog being displayed with a request for further instructions.

The option ‘Keep identical areas in sync‘ is only available a certain modules. If current project contains the same information twice, they will be kept in sync automatically.

Automatic checksums: Several checksum modules are available for WinOLS to correct the typical cars. In order to have them work properly it is absolutely necessary to use the unmodified original of the car as a project original. Is this isn't the case, the checksum blocks won't always be calculated correctly or won't be found at all

Manual checksums: Pros may not only use automatically recognized checksums, but also add (Button add) or change (Button edit) checksums manually. For details about manual checksums please refer to the respective dialog.

Sync Blocks: Click on the small black triangle next "Add" to add a Sync Block. It allows you to keep two identical data range identical. If one of the two ranges is changed, the other one will be changed, too.

Note: You can get an overview of the modules you have installed / licensed with a click on the button ‘Installed Plugins‘ (or with the function ‘?’ / ‘Info about plug-ins’)

Note about addresses: The addresses in this dialog do not refer to the current element, but to the addresses like they are visible in the view <All elements>. This makes actions possible which apply to the data of multiple elements at once.

Shortcuts:

Symbol bar:

Keyboard: F2 / c


The Dialog Search checksum online (Menu Edit)

Navigation: Start page > Commands of the menu Edit > The dialog Checksums (Menu Edit) >

The Dialog Search checksum online (Menu Edit)

Use this dialog to search the EVC website for checksum modules matching your ECU.

To do so, just go online and click on ’start’. This assistant will do everything else.

Note: In rare cases you may need to specify a proxy server. You can do this in the configuration dialog.

Note: An internet connection is needed for this dialog.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Checksum properties

Navigation: Start page > Commands of the menu Edit > The dialog Checksums (Menu Edit) >

The dialog Checksum properties

Use this menu to edit the parameters for the selected checksum. For automatically found checksums most parameters are controlled by the program. In case of a manual configuration you can edit several parameters.

Algorithm | The selected algorithm
Address area | The checksum is calculated from this area in the project.
Data bit width | Specifies whether 8 or 16 bit data will be taken from the project
Data organisation | Describes how the data is organised, if 16 bit data is used.
Correct to | The checksum is written to this target address. For so-called "Fullbyte" Checksums (see below for details) (possibly large) data ranges will be modified to keep the checksum correct.
Automatic correction | If this checkbox is activated any changes in the address area will result in a correction of the checksum.
Fullbyte Checksum | Activates the so-called "Fullbyte" Checksums (see below for details)

With this dialog you may view the individual checksums that have been automatically recognised or you may add and edit your own manual checksums.

The manual default-checksum is a so-called additive checksum. It is calculated by simply adding all values in the address range. As a consequence it is possible to correct changes without knowing the further details, like the exact position of the checksum.

To achieve this, you simply must enter an address range that includes all your changes and at the same time is smaller than the checksum range defined by the manufacturer. (As you see, it’s better to define this range smaller than larger.) For the correct-to address just choose the next address after the address area you’ve entered. If you now make changes, the values at the correct-to address are changed in such a way that the total sum stays constant. You may also choose to only display the sum and keep this value constant yourself. In this case you don’t need to enter the target address (and some other things).

Fullbyte Checksums:

This is a variant of the normal checksum where the width of the register is wider that the data. So, if you’re working with 8-Bit data, then the actual addition is performed in a 16-bit register (for 16-bit data a 32-bit register). The difference lies in the calculation of the carry which is performed much later for fullbyte checksum. If you increase the data of a normal 8-bit checksum by 300, you only have the decrease the data by 44 (300-256) at another point. For fullbyte checksums you must subtract the entire 300 at a difference place. That is the reason why you must specify an address range as target.

Fullbyte Checksums in the daily work:

For this type, enter a target range instead of a target address. If you increase the value of data, data in the target range will be decreased and vice versa. The required size of the target range depends on how much you modify and how far the current values in the target range can be modified.

Important: The target address / the target range may not be within the address range that is checked, but must necessarily be within the range that is used by the ECU calculation software.

Note about addresses: The addresses in this dialog do not refer to the current element, but to the addresses like they are visible in the view <All elements>. This makes actions possible which apply to the data of multiple elements at once.

Shortcuts

Symbol bar: -
Keyboard: -


The Command Apply Checksum (Menu Edit)

Navigation: Start page > Commands of the menu Edit >

The Command Apply Checksum (Menu Edit)

Use this command to let WinOLS recalculate a single checksum block. If the automatic checksum calculation is enabled, you won’t need this command.

This command is only available if the cursor is within a checksum block and the corresponding plugin is installed and registered.

Shortcuts

Symbol bar:
Keyboard: Alt+F2


The dialog properties: Window (Menu Edit)

Navigation: Start page

The dialog properties: Window (Menu Edit)

Use this dialog to manage the properties of the current window. The look of this dialog depends of the active window.

For Hexdump-windows:

Columns

Enter the number of columns in this field.

Values

Here the number of bytes per cell and the byte organisation (LoHi/HiLo) can be edited. This also displays the value range.

Number format

You may choose between a decimal and a hexadecimal display.

No factor / off.

Instructs WinOLS to ignore Factor and Offset and display the values of the version without the scaling.

Difference

Instead of displaying the absolute value you may use this option to show the difference between the cell value and the orignal value.

Percent

Instead of displaying the cell value this option can display the relative difference between the cell value and the original value.

Original

Display the original values instead of the current version

Sign

Interpret the data as signed values

Right side

Optionally you may display the values as ASCII-Characters or bars.

Value range

If a bar display is chosen you may use these edit fields to enter the number range displayed in bar. If only the number 1-10 are used in the data you could optimize the display for this value range.

If you activate the Option "Dynamic", then WinOLS will automatically determine the best scale for any bar data. This will allow you to recognize more maps, especially in 16 and 32 bit mode, but it may cause two rows in a one map to have a different scale. Once a map is registered or recognized as potential map, WinOLS will automatically use the value range of the map for displaying its data in the hexdump.

Factor & Offset

Factor and offset help to display physical values by applying multiplication and addition before displaying them. The value is calculated by the following formula: DisplayedValue = Value*Factor + Offset

For Map-Windows:

The following information is stored in the first sheet of the window.

Description & Unit | User-defined descriptions
Start address | This address defines the beginning of the map
Rows & Columns | The map size
Values | Here the number of bytes per cell and the byte organisation (LoHi/HiLo) can be edited. This also displays the value range.
Skip bytes | For some ECUs not all bytes are used for the axis but only every second, for example. Enter the number of bytes that should be skipped between 2 axis values.
Number format | You may choose between a decimal and a hexadecimal display.
Reciprocal | Displays the data as the reciprocal of their original value.
Sign | Displays the values as signed values.
Difference | Instead of displaying the absolute value you may use this option to show the difference between the cell value and the original value.
Percent | Instead of displaying the cell value this option can display the relative difference between the cell value and the original value.
No factor / offset | Instructs WinOLS to ignore Factor and Offset and display the values of the version without the scaling.
Original values | Instead of displaying the modified version, WinOLS will show the unmodified original values.
Right side | Optionally you may display the values as ASCII-Characters or bars.
Value range | If a bar display is chosen you may use these edit fields to enter the number range displayed in bar. If only the number 1-10 are used in the data you could optimize the display for this value range.
Auto | Use this button to optimize the value range for the current map data.
Factor & Offset | Factor and offset help to display physical values by applying multiplication and addition before displaying them. The value is calculated by the following formula: DisplayedValue = Value*Factor + Offset

Next to the factor and offset fields, there are also 5 small buttons. These are presents for different units. They change the values for the fields factor, offset, unit and precision. With the arrow button and the menu that is opened by this button you may store your own preferences. To do so, just enter them into the mentioned fields. To store them into one of the ten entries, keep the shift key pressed while selecting an entry from the menu. You can recall the values anytime simply by selecting the entry again (without shift).

The following information about the map are stored on the second and third page of the dialog.

Description & Unit | User-defined descriptions
Data source | Defines the source, where the axis data is taken from. You may choose the automatic enumeration or values from the eprom (which may also be calculated with additions or subtractions). Moreover you may decide to enter your own values, which are not stored within the eprom, but externally.
Start address | This address defines the beginning of the map
Like hexdumpcursor | Uses the cursor position in the hexdump as start address.
Mirror map | Use this checkbox to display the map (map and axis) in reverse (in direction of the axis) order.
Values | Here the number of bytes per cell and the byte organisation (LoHi/HiLo) can be edited. This also displays the value range.
Number format | You may choose between a decimal and a hexadecimal display.
Reciprocal | Displays the data as the reciprocal of their original value.
Sign | Displays the values as signed values.
Signature byte | This number marks this axis data and is assigned by the manufacturer. Normally it is the same for all axes within the project.
Factor & Offset | Factor and offset help to display physical values by applying multiplication and addition before displaying them. The value is calculated by the following formula: DisplayedValue = Value*Factor + Offset
Variable offset | For trim maps, you can add another map as offset to the current map. Simply select the other map from list. (The list contains all maps with identical axis addresses.) For the view WinOLS adds the values of the other map (but not the axes) like an offset to the current map.

For 3d-Map-Windows:

The fourth sheet contains information about the three-dimensional view.

Rotation | This determines the rotation of the view around the vertical axis.
Perspective | The value shows the influence of the perspective on the view.
Z-Scaling | The Z-Scaling determines how much the map is stretched or compacted vertically for the view.
Z-Offset | The Z-Offset is a vertical offset which can be used to make negative values displayable.
Show axis description | If this checkbox is checked, an axis description will be displayed.

Shortcuts

Symbol bar:
Keyboard: Alt+Enter


Commands of the menu Hardware

Navigation: Start page

Commands of the menu Hardware

The menu Hardware contains command to configure and use eprommer and simulator:

Producer | Displays the dialog for editing the eprom producer parameters
Swap lines | Shows the dialog to swap lines
BDM / Compare | Compares the current project with the values in the BDM/ECU
BDM / Program | Programs the current project into the BDM/ECU
BDM / Testempty/Delete | Checks if the current BDM/ECU is empty and/or deletes it
BDM / Read | Reads the values from the BDM/ECU into the project
Eprom / Compare | Compares the current project with the values in the eprom
Eprom / Program | Programs the current project into the eprom
Eprom / Testempty/Delete | Checks if the current eprom is empty and/or deletes it
Eprom / Read | Reads the values from the eprom into the project
Eprom / Parameter | Allows to edit address ranges for the eprom-access
Eprom / Options | Allows to edit special options for eprom types
Simulator / Load | Loads the current configuration into the simulator
Simulator / Properties | Shows the simulator properties
Simulator / Check map accesses | Checks for all maps whether they are used and shows the results in the map window.
Simulator / Delete map access info | Deletes the markers in the map window


The dialog Producer (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware >

The dialog Producer (Menu Hardware)

Since a project normally has a fixed eprom size, you can normally use the Producer dialog only to switch between different types, like CMOS or NMOS and the different programming algorithms.

The organisation selection offers one option to merge the contents of two 8-bit eproms, which are read consecutively into one 16-bit eprom.

With the choice of the eprom type, the configuration of the simulator module is automatically made, too. This is especially important for 28F512, which has a different pin configuration (32 Pins) as 27C512 (28 Pins).

The option ‘Original an version in one eprom’ works together with an extern switching adapter (e.g. KEY520). This option is not for use with the simulator with automatic switching. To use the simulator switching, choose the option ‘Switch original / version’ from the simulator properties.

Shortcuts

Symbol bar:
Keyboard: Ctrl+H


The dialog Swap Lines (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware >

The dialog Swap Lines (Menu Hardware)

Use this dialog to swap or invert lines when reading or writing eproms or when im- or exporting data. Normally you’ll work with "readable" data, so that texts can be read and checksums can be calculated. The swapping is done on-the-fly when the data is exported. If the project currently doesn’t contain "readable" data (this is displayed in the right part of the dialog) you may use the button "Extended" to actively apply a swapping.

You may use several predefined typical profiles. If your project contains multiple elements, you may swap each element individually.

Please note: The values you may edit (8 or 16 Bit) depend on your current eprom. You may change the current eprom directly from this dialog.

Shortcuts

Symbol bar: -
Keyboard: -


BDM

Navigation: Start page > Commands of the menu Hardware >

BDM

Please choose a subtopic.


The dialog BDM / Compare (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > BDM >

The dialog BDM / Compare (Menu Hardware)

Shows differences between the BDM/ECU and the project. You can choose which elements to compare.

Elements where the WinOLS original and version contain differences (in the PC memory – not differences between ECU and PC) are printed bold.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog BDM / Program (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > BDM >

The dialog BDM / Program (Menu Hardware)

Programs the contents of the current project into the BDM/ECU interface. Non-empty areas are automatically detected and deleted. You can choose which elements to program.

If you want to protect your project from being read with WinOLS by competitors, please activate the "BDM read protection" in the project properties before programming.

Elements where the WinOLS original and version contain differences are printed bold.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog BDM / Testempty (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > BDM >

The dialog BDM / Testempty (Menu Hardware)

Allows to test you if the BDM/ECU is empty and to delete it.

Elements where the WinOLS original and version contain differences are printed bold.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog BDM / Read (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > BDM >

The dialog BDM / Read (Menu Hardware)

Allows you to read the current BDM/ECU contents as a new project or a new version. By default all elements from the ECU are read, but for versions you may disable some if you’re sure that you don’t need them. When reading the original, you must read all elements.

Elements where the WinOLS original and version contain differences are printed bold.

Shortcuts

Symbol bar: -
Keyboard: -


Eprom

Navigation: Start page > Commands of the menu Hardware >

Eprom

Please choose a subtopic.


The dialog Eprom / Compare (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > Eprom >

The dialog Eprom / Compare (Menu Hardware)

Shows possible differences between the eprom and the current memory contents. Use the encryption option to compare eproms for EVC-KEY modules.

You may activate a quicktest. If you do so, WinOLS will not compare the entire eprom, but only bytes where the current version differs from the original and a few additional bytes as spot checks.

Shortcuts

Symbol bar:
Keyboard: -


The dialog Eprom / Program (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > Eprom >

The dialog Eprom / Program (Menu Hardware)

Next to shown information about the project and eprom the configured adapter is show. If a keyfile for EVC-KEY eprom copy protection modules is used, the option encryption will be displayed.

Shortcuts

Symbol bar:
Keyboard: -


The dialog Eprom / Testempty/Delete (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > Eprom >

The dialog Eprom / Testempty/Delete (Menu Hardware)

Compares the eprom contents with hex FF for eproms with 8-bit bus and with hex FFFF for eproms with 16-bit bus. If any differences occur, the test can be stopped and the eprom can be deleted.

Shortcuts

Symbol bar:
Keyboard: -


The dialog Eprom / Parameters (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > Eprom >

The dialog Eprom / Parameters (Menu Hardware)

This option is not needed normally. It allows you to program parts of an eprom.

Shortcuts

Symbol bar:
Keyboard: -


The dialog Eprom / Read (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > Eprom >

The dialog Eprom / Read (Menu Hardware)

An eprom can be read as original or version. An open project is necessary, but the project doesn’t have to contain data.

Shortcuts

Symbol bar:
Keyboard: -


The dialog Eprom / Options (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > Eprom >

The dialog Eprom / Options (Menu Hardware)

Here you can switch different adapters, which might be used alternatively and cannot be recognised automatically.

Furthermore you may select whether the eprom should be tested or deleted before writing and whether it should be compared afterwards.

The option "intelligent programming" allows a very fast programming. It is only available for eproms which allows the deleting of areas. If it is activated, the eprom will be compared the memory and only the areas which were changed will be deleted and reprogrammed.

Shortcuts

Symbol bar: -
Keyboard: -


Simulator

Navigation: Start page > Commands of the menu Hardware >

Simulator

Please choose a subtopic.


The command Load Simulator (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > Simulator >

The command Load Simulator (Menu Hardware)

This command will write all eprom data into the simulator.

Import: You must turn the ignition off before using this command!

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Simulator / Properties (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > Simulator >

The dialog Simulator / Properties (Menu Hardware)

The upper block contains information about the currently selected producer hardware.

If the checkbox ‘Automark’ is activated and the engine is running, then any accessed cells are automatically used as a selection for any operation (for example for + and -).

The checkbox ‘Only monitor’ disables the simulator and lets WinOLS only monitor the engine.

The make the development of vehicles which perform checksum tests at startup time easier, you may select the option ‘Switch original / version’ which automatically switches from the original to the changed version after a defined time. This option must not be confused with the option ‘Original and version in one eprom’ in the producer dialog, which needs an eprom of twice the normal size and a switching module like the KEY520.

While monitoring every memory access is marked on the screen (by default in red). Use the afterglow field to configure the number of seconds the marking shall last.

Use ‘Write pulselength’ to configure the simulator timinig. If the value is too small, the data might not reach the simulator memory. If the value is to large, the simulator might crash when performing online-changes of the eprom contents.

The ‘Update delay’ is the time WinOLS will wait after any changes until the changes are written to the simulator memory.

Note: Since program version 1.030 it is no longer necessary to enter the connection code. It will be automatically be recognised now.

Shortcuts

Symbol bar: -
Keyboard: -


The command Simulator / Check map accesses (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > Simulator >

The command Simulator / Check map accesses (Menu Hardware)

A project may contain many maps but not all are necessarily used right now. With this command you can instruct WinOLS to check all maps to see whether it is used (=accessed by the hardware) or not.

All maps that are used will be marked red (the usual simulator colour) in the map selection window. This information is not automatically updated. If you want to get the latest information, you must use this command again.

This command is only available if the current project is online with the simulator.

Note: This command may take some time (depending on the number of maps).

Shortcuts

Symbol bar: -
Keyboard: -


The command Simulator / Delete map access info (Menu Hardware)

Navigation: Start page > Commands of the menu Hardware > Simulator >

The command Simulator / Delete map access info (Menu Hardware)

If you used the command 'Simulator / Check map accesses' you will have several maps marked in red in the map selection window. This command will delete all marking information for that window. Neither the maps nor the hexdump data will be changed in any way.

This command is only available if the current project is online with the simulator.

Shortcuts

Symbol bar: -
Keyboard: -


Commands of the menu View

Navigation: Start page

Commands of the menu View

The menu View contains the following commands:

Symbol bars | Toggles the different symbol bars
Status bar | Toggle the status bar
Move origin left | Shifts the start address of the current 1 to the left
Move origin right | Shifts the start address of the current 1 to the right
More columns | Increases the number of columns by 1
Less columns | Decreases the number of columns by 1
Percent & Co. | Changes the way the differences are displayed, if factor and offset are used and if the version values are used
Right side | Allows you to change the view mode of the right side and whether the right side should be fixed or not.
Zoom | Enlarges the display
Scale 100% | Resets the display to its standard value (2d only)
Unzoom | Makes the display smaller
Connect dots / Fill surfaces | Connects the separate dots with lines (2d only) Fill the surfaces with colour (3d only)
Show Rowmarkers | Visualises the (imaginary) rows by lines (2d only)
Differences | Shows the differences of the current map as a list
- first | Moves to the first difference in the current map
- previous | Moves to the previous difference in the current map
- next | Moves to the next difference in the current map
- last | Moves to the last difference in the current map
Choose reference version | Allows the user to change the version which will be used as original
Connect windows | Activates the connection between the current window and another window. (Shift to skip the dialog.)
Optimize value range | Calculate the optional value range for the bar display
Detect Map | Calculate the optional value range for the bar display
Support map selection | Supports the selection of maps by improving selections you made.


The command Symbol bar (Menu View)

Navigation: Start page > Commands of the menu View >

The command Symbol bar (Menu View)

Use this command to toggle the symbol bars.


The command Status bar (Menu View)

Navigation: Start page > Commands of the menu View >

The command Status bar (Menu View)

Use this command to toggle the status bar. The bar contains information about the selected menu item, about the simulator hardware state and the cursor position.


The command Move origin left (Menu view)

Navigation: Start page > Commands of the menu View >

The command Move origin left (Menu view)

Use this command to move the beginning of the shown area of window. This might be necessary to mark maps correctly.

This command is only available for hexdumps.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+Left


The command Move origin right (Menu view)

Navigation: Start page > Commands of the menu View >

The command Move origin right (Menu view)

Use this command to move the beginning of the shown area of window. This might be necessary to mark maps correctly.

This command is only available for hexdumps.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+Right


The command More columns (Menu View)

Navigation: Start page > Commands of the menu View >

The command More columns (Menu View)

Use this command to increase the number of visible columns by 1.

This command is only available for hexdumps.

Shortcuts

Symbol bar: -
Keyboard: M


The command Less columns (Menu View)

Navigation: Start page > Commands of the menu View >

The command Less columns (Menu View)

Use this command to increase the number of visible columns by 1.

This command is only available for hexdumps.

Shortcuts

Symbol bar: -
Keyboard: W


The command Zoom (Menu View)

Navigation: Start page > Commands of the menu View >

The command Zoom (Menu View)

Use this command to enlarge the display.

If you’re in text mode, a larger font will be used to display data. In 2d mode the graphical display will be enlarged horizontally. Keep the Shift Key pressed to enlarge the display vertically.

Shortcuts

Symbol bar:
Keyboard: -
Mouse: Ctrl + Mousewheel


The command Scale 100% (Menu View)

Navigation: Start page > Commands of the menu View >

The command Scale 100% (Menu View)

Use this command to reset the graphical display horizontally to 100%. This command is only available in 2d mode.

Keep the Shift Key pressed to reset the vertical display.

Shortcuts

Symbol bar: -
Keyboard: -


The command Unzoom (Menu View)

Navigation: Start page > Commands of the menu View >

The command Unzoom (Menu View)

Use this command the make the display smaller.

If you’re in text mode, a smaller font will be used to display the data. In 2d mode the graphical display will be displayed horizontally smaller. Keep the Shift Key pressed the make the display vertically smaller.

Shortcuts

Symbol bar:
Keyboard: -
Mouse: Ctrl + Mousewheel


The command Connect Dots (Menu View)

Navigation: Start page > Commands of the menu View >

The command Connect Dots (Menu View)

2d mode:

This command toggles the display of connecting lines for the separate dots.

3d mode:

This command toggles the filling of surfaces with colours.

The command is only available in 2d and 3d mode.

Shortcuts

Symbol bar: /
Keyboard: -


The command Show Rowmarkers (Menu View)

Navigation: Start page > Commands of the menu View >

The command Show Rowmarkers (Menu View)

Even though in 2d mode the data is displayed as a 'flat' sequence of values, WinOLS manages the data in rows and columns internally. (You may switch to text mode any time to see the rows and columns.) The columns are important for certain types of selections and thus also for the modification of values and the creation of maps.

Use this command to toggle the display of line breaks with helping lines.

This command is only available in 2d mode.

Shortcuts

Symbol bar:
Keyboard: -


The command Differences / first (Menu View)

Navigation: Start page > Commands of the menu View >

The command Differences / first (Menu View)

Use this command to move the cursor to the first difference between the original and the current version within the current window.

Shortcuts

Symbol bar:
Keyboard: E


The command Differences / previous (Menu View)

Navigation: Start page > Commands of the menu View >

The command Differences / previous (Menu View)

Use this command to move the cursor to the previous difference between the original and the current version within the current window.

Shortcuts

Symbol bar:
Keyboard: V


The command Differences / next (Menu View)

Navigation: Start page > Commands of the menu View >

The command Differences / next (Menu View)

Use this command to move the cursor to the next difference between the original and the current version within the current window.

Shortcuts

Symbol bar:
Keyboard: N


The command Differences / last (Menu View)

Navigation: Start page > Commands of the menu View >

The command Differences / last (Menu View)

Use this command to move the cursor to the last difference between the original and the current version within the current window.

Shortcuts

Symbol bar:
Keyboard: L


The dialog Select reference Version (Menu View)

Navigation: Start page > Commands of the menu View >

The dialog Select reference Version (Menu View)

Several functions in WinOLS use a ‘Original version’ as a reference. By default this is the version read from the eprom. But you may choose any other version of the current of another project.

Apart from the selection of the reference project you can also selection the kind of comparison for the visual display of the differences. For example a minimum difference from the original may be required to mark the cell as changed.

Furthermore an offset may be entered. This is useful when the data in one project is moved (compared to the other one).

Shortcuts

Symbol bar:
Keyboard: -


The dialog Select the connection window (Menu View)

Navigation: Start page > Commands of the menu View >

The dialog Select the connection window (Menu View)

Right Dialog:

It is possible to connect window. If two windows are connected, any changes to the visible area will happen to both windows in sync. If one window is scrolled, the other one is scrolled in the same way.

If the connection is activated, this dialog is displayed to select the connection window. If you want to skip this dialog and use the window you also used last time, keep the Shift-Key pressed while selecting this option (works with pulldown menu and icon bar).

Use the checkbox ‘Also use as reference window‘ to activate the reference comparison, too. If activated, the windows will not only be kept in sync, but also each windows will also use the other one as original version when it comes to display changes.

Use the checkbox ‘Arrange Windows‘ to arrange the two compared windows on the screen in an optimal way. If you want to swap the two windows, just drag one of them (using its title bar) to the position of the other window (and some pixels over it).

The field ‘address offset‘ contains the offset that will be used when keeping the dialogs in sync. By default with value in here will be the difference between the cursor positions in the two windows. If you press the button ‘Automatically‘ WinOLS will search the other project for areas similar to the one at the current cursor position in the current project. If a similar area is found, the offset is calculated.

Left Dialog:

When you're working with connected windows, a small window will appear between the projects.

Section Connect:

You have several possibilities to change the offsets (the address difference between the windows) between the windows:

· You may manually enter a number.
· Use one of the search options.
· With the buttons +/- you may change the address offset by one unit (depending on the current bit width)
· You may click on the checkbox ‘Offset‘ to deactivate the connection. In this mode you can move one window and re-establish the connection when you found the right offset or use the button "At cursor" to calculate the offset from the 2 cursor positions.

Section Search:

You can use 5 different search modes, each in 2 directions. The program searches the project that the arrow points to and search for the data of the project that the arrow points away from. A red background means that search results are available. If the background is orange, then the current offset is one of the search results. The 5 search modes are (from top to bottom):

1. Search for the data around the current cursor position
2. Search for the data around the current cursor position, but only inside the maps
3. Search for the selected data
4. Search for the selected data, but only inside the maps
5. Search for the map that the cursor currently is on

Section Tolerance:

Here you can enter the desired search tolerance.

Section Result:

This section shows the result of the most recent search. The text shows the number of the current result, following by the total number of result (max. 200). You can use the "Slider" to screen through the results, which will adjust the offset. After the search function is used the slider is automatically set to the search result that is closest to the original offset. If you want to go to the results individually, click on the slider once and then use the cursor keys.

Section Copy:

Use these buttons to copy the current selection or the map under the cursor (or the currently selected maps, if any) to the respectively other project.

Section Differences:

This section is identical with the functions from the view menu. It contains buttons to move the cursor in either window to the first/previous/next/last difference.

Shortcuts

Symbol bar:
Keyboard: -


The command Connect windows (Menu View)

Navigation: Start page > Commands of the menu View >

The command Connect windows (Menu View)

Use this command to toggle the connection between the current window and a reference window. Windows that are connected are always kept in sync when they are scrolled.

Shortcuts

Symbol bar:
Keyboard: -


The command Optimize value range (Menu View)

Navigation: Start page > Commands of the menu View >

The command Optimize value range (Menu View)

Values from maps or hexdumps may be displayed as bar diagrams. A special scale can be used to improve visual display. The optimal settings for this can be automatically calculated with this function.

This command is only available if a bar displayed is activated for the current dialog.

Shortcuts

Symbol bar:
Keyboard: Ctrl+B


The command Detect map (Menu View)

Navigation: Start page > Commands of the menu View >

The command Detect map (Menu View)

Mode 1: Map search

Use this command to detect a map at the current cursor position in a hexdump window. Only certain map types are recognized (see below). This function only works in hexdumps.

If no map is found or a recognised map is already marked, the search will continue along the file. Hold the shift-key pressed to search backwards.

This function bases on the function "background map search". This means, it uses the maps that are listed as "potential maps" in the map selection list. Therefore it has the same limitations as the "background map search". For example, it you deactivate the "Statistical map recognition" there, these maps won’t be found here either. Furthermore you may limit the search by the bit width of the map. For this, click on the small black triangle in the map selection window. A menu pops open, where you may select a filter for the bit width (8/16/32 Bit). This filter also works for this function.

Mode 2: Parallel maps

If you currently work on a map where parallel maps exist, you may use this function to jump to the next parallel map. (Note: To create parallel maps use the menu function "Parallel map" in context menu of every 2d map). Hold the shift-key pressed to jump to the previous parallel map.

Shortcuts

Symbol bar:
Keyboard: f


The command Support map selection (Menu View)

Navigation: Start page > Commands of the menu View >

The command Support map selection (Menu View)

Use this command to toggle the support for a selection of maps. If it is activated, the use will be supported when creation a selection containing a map. In order to use this feature, you’ll just need to create a selection without gaps (for example with the selection mode ‘consecutive‘).

WinOLS will analyse the selected area for the supposed number of columns and the start address and change these respectively. Then the beginning and end of a selection will be extended, so that a rectangular are is selected.

When in doubt, it’s better to select to few values than too many. Otherwise you might affect the analysis method with false data.

The created selection may be changed later in 2d-mode. (Press shift, move the cursor in 2d mode over the beginning / end of the selection, click and drag.)

If you don't want to have this command permanently activated, you can also just use it when you need it. Simply create a selection like described above. And when this selection exists, just activate this command (via the menu or icon bars). Now it will only be executed once and not be activated permanently.

Shortcuts

Symbol bar:
Keyboard: -


Commands of the menu Selection

Navigation: Start page

Commands of the menu Selection

The menu Selection contains commands to work with selections:

Select cell | Selects the current cell.
Select row | Selects the current row
Select column | Selects the current column
Select screen | Selects the visible area
Invert screen selection | Inverts the selection in the visible area
Create selection | Creates a selection from values you have to enter
Select nothing | Removes the selection
Restore last selection | Restores the last selection
Original | Sets all selected cells to their original value
Selection -> Map | Creates a map windows from the selected rectangle
Load | Loads a saved selection into the clipboard
Save | Saves the current selection into a file
Selections mode | Allows the choice between four different selection modes
Selection beginning | Marks the beginning of a selection
Selection end | Marks the end of a selection


The command Select cell (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Select cell (Menu Selection)

Selects the cell the cursor is currently in.

Hold the Ctrl-Key pressed while clicking to extend the current selection instead of replacing it.

Shortcuts

Symbol bar: -
Keyboard: Insert


The command Select row (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Select row (Menu Selection)

Selects the row the cursor is currently in.

Hold the Ctrl-Key pressed while clicking to extend the current selection instead of replacing it.

Shortcuts

Symbol bar: -
Keyboard: -


The command Select column (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Select column (Menu Selection)

Selects the column the cursor is currently in. By default this selects only the visible part of the column. This can be changed in the configuration menu.

Hold the Ctrl-Key pressed while clicking to extend the current selection instead of replacing it.

Shortcuts

Symbol bar: -
Keyboard: -


The command Select screen (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Select screen (Menu Selection)

Selects the all currently visible cells.

Hold the Ctrl-Key pressed while clicking to extend the current selection instead of replacing it.

Shortcuts

Symbol bar: -
Keyboard: -


The command Invert screen selection (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Invert screen selection (Menu Selection)

Inverts the selection for all visible cells. Selected cells are deselected and vice versa.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Create selection (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The dialog Create selection (Menu Selection)

This dialog allows you to create a selection by entering the start and the end address. Furthermore you may specify the used selection mode. The resulting selection is the same you would get if you created a selection with specified parameters manually.

Shortcuts

Symbol bar: -
Keyboard: -


The command Select nothing (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Select nothing (Menu Selection)

Removes the current selection.

Shortcuts

Symbol bar: -
Keyboard: -


The command Restore last selection (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Restore last selection (Menu Selection)

Restores the last selection.

Shortcuts

Symbol bar: -
Keyboard: -


The command Selection -> Map (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Selection -> Map (Menu Selection)

Use this command to create map from a rectangular selection in a hexdump. The size of the selection should match the optimal size of the later map.

This command is only available when a rectangular selection was made.

Shortcuts

Symbol bar: -
Keyboard: -


The command Selection / Load (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Selection / Load (Menu Selection)

This command loads a previously saved selection into the clipboard. Use the command Paste (Ctrl+V) for further processing.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+R


The command Selection / Save (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Selection / Save (Menu Selection)

This command saves the currently selected cells on harddisk.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+W


The command Selection mode (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Selection mode (Menu Selection)

This command offers a choice of 4 different selection modes:

1) Selection of a consecutive area

2) Selection of a rectangular area

3) Selection of columns

4) Selection of rows

Shortcuts

Symbol bar:
Keyboard: -


The command Selection beginning (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Selection beginning (Menu Selection)

This command sets the beginning for a selection. If an end for the selection was already defined, a selection with the currently selected mode will be made.

Shortcuts

Symbol bar:
Keyboard: -


The command Selection end (Menu Selection)

Navigation: Start page > Commands of the menu Selection >

The command Selection end (Menu Selection)

This command sets the end for a selection. If a beginning for the selection was already defined, a selection with the currently selected mode will be made.

Shortcuts

Symbol bar:
Keyboard: -


Commands of the menu Search

Navigation: Start page

Commands of the menu Search

The menu Search contains commands to search for different criteria:

Bytesequence / Text | Searches a text or a sequence of hex- or decimal values
Selection | Searches an area which resembles the current selection
Start search | Starts the search again.
Continue search | Continue the search forwards
Search backwards | Continue the search backwards
Replace | Searches for a text or a sequence of bytes and replaces the occurrences
Restart background map search | Allows you to start, cancel or restart the automatic search for maps in the background
Axis description profile | Administration of the automatically or manually collected axis descriptions
Go to Address | Moves the cursor to the given address
Next comment | Moves the cursor to the next comment text
Previous comment | Moves the cursor to the previous comment text
Insert / Edit comment | Insert a new comment at the cursor position or allows you to edit an existing one
Delete comment | Deletes the comment at the current cursor position
Previous marker | Moves the cursor to the previous marker
Next marker | Moves the cursor to the next marker
Insert/delete marker | Creates a marker at the current cursor position or the current selection or deletes a marker if it already exists
Scripts | Create, administrate and run scripts.


The dialog Search for byte sequences (Menu Search)

Navigation: Start page > Commands of the menu Search >

The dialog Search for byte sequences (Menu Search)

Use this dialog to search for byte sequences or texts.

When searching for byte sequences use spaces to separate the different bytes. The choice of searching for decimal or hexadecimal may be overridden for single bytes by prefixing them with ‘0x’ for hexadecimal interpretation or ‘0d’ for decimal interpretation.

You may use a question mark as a symbol for an unknown byte. For example with ‘longw?rd’ or ‘ff ff aa ?? ab’ you can search for these text / byte sequence. The ‘?’ / ‘??’ will match any byte. You may also select something in the WinOLS editor, copy it and paste it in this dialog.

If the checkbox ‘Search in realtime’ is activated the search will start while you’re typing.

If the option ‘In original’ is activated, the search text will be searched in the original version instead of the version you’re currently editing.

Furthermore you may enter the search range. Only occurrences within this range will be shown as results. Use the maximal difference to configure how far each cell may differ from your search string in order to be considered as occurrence. You may configure the difference to up and down separately.

Use the blue arrow buttons to jump to the next or previous occurrence of the search text. Use the lower black down arrow to get a list of all occurrences (max. 200). Click on ‘Start‘ to initiate a search and fill the list with data. If the list is open and you start a new search by clicking on one of the blue arrow buttons, only addresses before or after the current cursor position will be searched. Hold the shift key while clicking the blue arrow buttons to force WinOLS to use this feature even though you didn't change the search.

A click on the upper black arrow opens an additional menu. Here you may configure on which addresses WinOLS should search (automatic, all, all even, all that can divided by 4) and if WinOLS should search (not) within program code.

This dialog is a "floating" dialog. All floating dialogs can be toggled with the tab key. Furthermore you may 'Roll up' this dialog if you don’t need it. If it is rolled up, only the title bar is visible. For this click on the additional icon in the title bar, so that only a line is displayed. If you now work in WinOLS, the dialog will be hidden, except for the title bar and when you move the cursor over the title bar, the entire dialog will be shown. Click again on the icon to restore the dialog into its normal state. A dialog is outlined below the line. In this state, the dialog is always shown.

Note: The hotkey Ctrl+F will start this dialog only if a project window has the focus. If the map list has the focus (= the cursor is blinking there), a search dialog for the map list will be started.

Shortcuts

Symbol bar:
Keyboard: Ctrl+F


The command Search / Selection (Menu Search)

Navigation: Start page > Commands of the menu Search >

The command Search / Selection (Menu Search)

This command starts a search for an area similar to the one currently selected. The grade of similarity is configured in the following dialog..

Shortcuts

Symbol bar:
Keyboard: Ctrl+Alt+F3


The dialog Search parameters (Menu Search)

Navigation: Start page > Commands of the menu Search >

The dialog Search parameters (Menu Search)

This dialog allows you to edit global search parameters. You may configure an area to search and the maximum difference a cell may have from the searched value.

Shortcuts

Symbol bar: -
Keyboard: Alt+F3


The command Continue search (Menu Search)

Navigation: Start page > Commands of the menu Search >

The command Continue search (Menu Search)

This command continues are search that was started previously.

Shortcuts

Symbol bar:
Keyboard: F3


The command Search backwards (Menu Search)

Navigation: Start page > Commands of the menu Search >

The command Search backwards (Menu Search)

This command continues are search that was started previously, but backwards.

Shortcuts

Symbol bar:
Keyboard: Shift+F3


The dialog Replace (Menu Search)

Navigation: Start page > Commands of the menu Search >

The dialog Replace (Menu Search)

Use this dialog to search for byte sequences or texts and replace their occurrences with other byte sequences or texts.

When searching for byte sequences use spaces to separate the different bytes. The choice of searching for decimal or hexadecimal may be overridden for single bytes by prefixing them with ‘0x’ for hexadecimal interpretation or ‘0d’ for decimal interpretation.

You may use a question mark as a symbol for an unknown byte. For example with ‘longw?rd’ or ‘ff ff aa ?? ab’ you can search for these text / byte sequence. The ‘?’ / ‘??’ will match any byte. You may also select something in the WinOLS editor, copy it and paste it in this dialog.

Below the search text the replacement text must be entered. Both texts must have the same length. (Trick: You may append question marks to the end of the shorter text.) If you’re using question marks in the replacement text (as described above), then these memory positions are not changed when you’re replacing.

If the checkbox ‘Search in realtime’ is activated the search will start while you’re typing.

If the option ‘In original’ is activated, the search text will be searched in the original version instead of the version you’re currently editing. The text is always replaced in the current version.

Use the blue arrow buttons to jump to the next or previous occurrence of the search text.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Axis description profile (Menu Search)

Navigation: Start page > Commands of the menu Search >

The dialog Axis description profile (Menu Search)

Axis description profiles are collections of axis descriptions (Name, unit, sign, factor, etc). They're automatically collected by WinOLS, but can also be collected manually.

Automatically:

WinOLS automatically collects axis description profiles in the background (unless you have disabled it in the configuration dialog under ‘automatically’). An axis description profile contains a signature which enables WinOLS to recognize the source project and similar projects. This signature is automatically generated from maps that are searched in the background. If you now configure axis descriptions or import this information from a Damos file, then information about the description, unit, factor, offset, etc. is collected in the profile.

If you later insert maps into a different project, then WinOLS will automatically fill in the axis description information, if the axis is recognized.

Note: A signature cannot be generated for every project. Only projects with Bosch maps contain a signature. Bosch II maps are not enough, unless the project contains ‘normal’ Bosch maps, too.

In this dialog you may view and select (combo box at the top) the different profiles and even rename them. In the lower part of the screen you can see the different axis descriptions that were recognized for the current profiles. You may edit, delete or apply them. Normally you won’t need to do all this manually, since WinOLS does everything automatically in the background.

Manually:

For the manual mode there is always an active axis description profile. With the respective button you can tell WinOLS which profile should be active. The active profile collects the axis descriptions that are available to you in the dialog "Map properties" as menu when you click on the small black triangle. By switching the active profiles you can administrate different collections, for example for different car types.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Go to address (Menu Search)

Navigation: Start page > Commands of the menu Search >

The dialog Go to address (Menu Search)

Use this command to set the cursor to a certain place. By default the current position is show. Furthermore you may recall the last 16 positions. If the project contains comments, they will appear in the list, too, together with their address.

By default hexadecimal values are expected. If you can to enter decimal values, prefix them with ‘0x’, like e.g. ‘0d100’. You may also enter the name of a map or comment.

Activate 'Address binaryand...' to calculate a binary and for the address you’re entering and the file size -1. This is useful if you have addresses that are without the WinOLS address range. For example, if you’ve got the address 1E02E8 and a file size of 7FFFF, then effectively the address 602E8 is used.

Shortcuts

Symbol bar:
Keyboard: Ctrl+G


The command Next comment (Menu Search)

Navigation: Start page > Commands of the menu Search >

The command Next comment (Menu Search)

This command moves the cursor to the next comment within the current project.

Shortcuts

Symbol bar: -
Keyboard: Shift+N


The command Previous comment (Menu Search)

Navigation: Start page > Commands of the menu Search >

The command Previous comment (Menu Search)

This command moves the cursor to the previous comment within the current project.

Shortcuts

Symbol bar: -
Keyboard: Shift+V


The command Insert / Edit comment (Menu Search)

Navigation: Start page > Commands of the menu Search >

The command Insert / Edit comment (Menu Search)

This command allows you to insert a comment at the current cursor position or edit it if there already is one. Comments always stick to the current address but count for all versions of the project.

Comments are also shown as tooltips, if you hold the mouse cursor for some time over a cell with a comment. Furthermore they're listed in the dialog 'Go to address'.

Shortcuts

Symbol bar: -
Keyboard: Shift+Enter


The command Delete comment (Menu Search)

Navigation: Start page > Commands of the menu Search >

The command Delete comment (Menu Search)

With this command you can delete the comment at the current cursor position, if there is one.

Shortcuts

Symbol bar: -
Keyboard: -


The command Previous marker (Menu Search)

Navigation: Start page > Commands of the menu Search >

The command Previous marker (Menu Search)

This command moves the cursor to the previous marker within the current project.

Shortcuts

Symbol bar: -
Keyboard: Shift+F5


The command Next marker (Menu Search)

Navigation: Start page > Commands of the menu Search >

The command Next marker (Menu Search)

This command moves the cursor to the next marker within the current project.

Shortcuts

Symbol bar: -
Keyboard: F5


The command Insert / Delete marker (Menu Search)

Navigation: Start page > Commands of the menu Search >

The command Insert / Delete marker (Menu Search)

This command allows you to insert a marker at the current cursor position or selection or removes it if there already is one. Markers always stick to the current address but count for all versions of the project. In contrast to comments, markers cannot contain text.

Shortcuts

Symbol bar: -
Keyboard: Strg+F5


The command Scripts (Menu Search)

Navigation: Start page > Commands of the menu Search >

The command Scripts (Menu Search)

If you’re doing certain changes again and again because you always get similar ECUs, it can make sense to create a script. This will summarize all changes into a universal format so they can be applied quickly. Furthermore every script recognises whether it can be applied to the current project or not. (If you have many scripts you may delay the recognition to speed this dialog up. Simply turn off the option 'Check automatically'.)

This dialog allows you to execute, edit (a text editor will be started) or delete scripts. Furthermore you may use a subdialog to create new scripts. The combobox in the upper right corner allows you to restrict the search for the right script to a certain subfolder of the script folder.

You may configure the WinOLS options (in the page 'Automatic') in such a way that WinOLS checks after every project import whether a script can be applied to the new project or not.

When the scripts were created a preferred mode (absolute / difference / percent) was defined for transferring the data. Depending on the kind of script you may choose to override this mode when executing the script.

You can find more information about scripts in the respective chapter.

Shortcuts

Mouse: -

Keyboard: F8


The dialog Create scripts (Menu Project)

Navigation: Start page > Commands of the menu Search > The command Scripts (Menu Search) >

The dialog Create scripts (Menu Project)

This dialog is the recommended way to create new scripts. The bases are always the changes in the current project. All you need to do is to select which changes you would like to export. Simply select the maps or data areas containing the changes.

If possible you should always restrict the script’s applicability as much as possible to avoid misuse and increase comfort. This is done be requiring entire blocks / maps to be recognized. Furthermore you may require certain project properties.

In addition you may define how far addresses can be moved from their origin and how much the values may differ.

When saving, you should always choose a long, descriptive filename since this name will later appear in the script list. Furthermore you should always store scripts in the WinOLS script directory, because they won’t appear in the script list otherwise.

You can find more information about scripts in the respective chapter.

Shortcuts

Mouse: -

Keyboard: -


Commands of the menu Miscellaneous

Navigation: Start page

Commands of the menu Miscellaneous

The menu Miscellaneous offers the following commands:

Updates + Registration | Allows you to use the professional features of WinOLS.
Configuration | Starts the configuration menu for global options
Calculator | Starts the windows calculator


The dialog Updates+Registration (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous >

The dialog Updates+Registration (Menu Miscellaneous)

This dialog allows you to register WinOLS, to check for updates for WinOLS and its plugins and to download and install these updates.

You may use WinOLS for up to 10 computers. Each must be registered separately. You may do that yourself easily over the internet.

Simply click on "Start" and follow the assistant’s instructions.

If WinOLS has a problem with connecting to the internet, please be sure to check your local firewall. Furthermore you can use the test function in the configuration dialog.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Configuration (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous >

The dialog Configuration (Menu Miscellaneous)

The configuration dialog contains many pages that are explained on the following pages.


The dialog Configuration / Colours (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) >

The dialog Configuration / Colours (Menu Miscellaneous)

The first sheet of the window allows you to configure the colours WinOLS uses. You may choose one of three predefined colour themes or choose your own user-defined colours. If the checkbox ‘Def.’ is checked, then the colour defined at ‘Default’ (topmost colour) will be used in this place.

You may edit a predefined colour theme. Use the button 'Reset changes' to return to the default values for this colour theme. However, the recommended method is to edit only the 'User defined' theme. If you activate this theme the button 'Reset changes' will change to 'Copy theme from...' and allow you to copy the colour theme from a predefined theme.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / View (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) >

The dialog Configuration / View (Menu Miscellaneous)

You may choose the font and font size in this dialog. Please note, that some fonts cannot be used as Axis description in 3d mode in spite of the official documentation. If you have any problems with this, please choose a different font.

Next you may toggle the display of potential maps with in hexdumps. Potential maps are marked with a border and a tag on the top. If you want to toggle the searching of these maps, please refer to the page named 'Automatically' / 'Background'.

Furthermore you can let WinOLS display unimportant data pale. Data is considered unimportant if it is recognised as program code or as empty areas. The data from the overview function is used for the display. That’s why the pale display only works when overview data was generated.

Finally you can configure WinOLS to display the overview data in the (vertical or horizontal, depending of the view mode) scrollbar. This option requires that overview information was generated. Either in the background or manually by opening the overview dialog. For a reference of the colors, see the overview dialog.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / View / New windows (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / View (Menu Miscellaneous) >

The dialog Configuration / View / New windows (Menu Miscellaneous)

Here you may define in which way new maps and hexdumps are displayed by default. You may choose the view mode (Text, 2d, 3d), the numeric system (10, 16) and the configuration for the right side (Empty, Bars, ASCII).

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / View / Text (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / View (Menu Miscellaneous) >

The dialog Configuration / View / Text (Menu Miscellaneous)

On this page you can select the default bit width and style for new hexdumps when a new project is created by importing a file or reading an eprom. You may also define the value range that is used for the bar display.

Furthermore you may configure how WinOLS should behave when if change the bit width (8/16/32) while using the text mode. By default this won’t change the number of columns. But you can tell WinOLS to adapt the number of columns in such a way that the total width displayed stays roughly constant.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / View / 2d (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / View (Menu Miscellaneous) >

The dialog Configuration / View / 2d (Menu Miscellaneous)

The option 'Big Pixels' tells WinOLS to use larger pixels when displaying dots in 2d mode to increase readability.

Use 'Big Pixels while displaying lines' to make WinOLS display large dots even when the values are connected with lines.

If the checkbox 'Fast Tooltips' is activated, the tooltips (the little yellow windows) will appear faster if the cursor is above a value.

The option 'Show original values' tells WinOLS also to display the original values in 2d mode if they differ from the current value.

Use the option 'Horizontal guides' to toggle the horizontal guides that are visible in the window’s background.

If the checkbox 'Don't connect when starting new row' is activated, then WinOLS will not connect the pixels when a new line (vertical guide) starts in the data.

By activating the checkbox 'edit by click+drag' you can change value simply with the mouse. A special cursor appears when you move the mouse cursor directly over a 2d value that is either currently selected by the editing cursor or that is part of a selection. Click and drag to change the value / all selected values. You can disable this function in the configuration under "2d".

Furthermore you can set the default value for new 2d windows:

Use the option 'Connect dots ' to toggle the default state for the connection of dots for new windows. You can configure the default for row markers, too.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / View / 3d (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / View (Menu Miscellaneous) >

The dialog Configuration / View / 3d (Menu Miscellaneous)

The option 'Big Pixel' tells WinOLS to display pixels at the line crossings of the wire mesh to increase readability.

Enable ‘Shade areas’ to fill areas with a colour that represents its angle to the viewer. With ‘Height colors’ WinOLS can display the values in the shading colour. Both options improve the view but consume a lot of computing power.

If the checkbox 'Fast Tooltips' is activated, the tooltips (the little yellow windows) will appear faster if the cursor is above a value.

If the checkbox 'Auxiliary cursors' is checked, 4 additional cursors will mark the current values on the axis and mark the value on the map.

Use the 'Original values' combo box to choose the method that is used to display both the original and version values at the same time.

By activating the checkbox 'edit by click+drag' you can change value simply with the mouse. A special cursor appears either when you move the mouse cursor directly over a 3d value that is currently selected by the editing cursor or when you move the mouse cursor over a selection. Click and drag to change the value / all selected values. You can disable this function in the configuration under "3d".

Furthermore you can set the default value for new 3d windows:

Check ‘Fill areas’ to create new 3d-Views by default with filled surfaces instead of a wire mesh view. You can configure the same for the helping lines.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Messages (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) >

The dialog Configuration / Messages (Menu Miscellaneous)

Use this page to toggle the different warnings WinOLS supports. With the first checkbox you may toggle a warning if a selection gets to large, it may take very long to create. Secondly you may configure a check for harddisk space before every disk operation.

Moreover you may disable the checksum information in the status bar for performance reasons.

Furthermore you may tell WinOLS not to display any request dialogs when searching for checksums. This applies to the message asking whether the found checksums should be corrected automatically and to the message asking whether a forgotten line swapping should be applied now. (Note: If one of the two messages appears even though you’ve unchecked this features, you must get an update for the checksum module from the EVC website.)

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Messages / turned off (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Messages (Menu Miscellaneous) >

The dialog Configuration / Messages / turned off (Menu Miscellaneous)

Some messages in WinOLS can be turned off. Use this page to turn them back on.

Selected messages will be displayed.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Paths (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) >

The dialog Configuration / Paths (Menu Miscellaneous)

The different paths for the different kinds of files may be configured in the third page of the dialog. Project files and plugins may be stored on shared network drivers. You can also select the key file in this dialog which is used for eprom encryption.

The WinOLS configuration files can be stored in two different places. If you’re using Windows 95, 98 or ME it is a good idea to store these files in the WinOLS directory. If you’re using an operating system like Windows NT, 2000 or XP this is not recommended. In this case you should store the configuration files into the central folder for application data.

Moreover, when you’re working with Windows NT, 2000 or XP, you should think about storing your projects into a subfolder of 'My Files'. This (together with a central storage of the configuration files) allows the usage of WinOLS with any (non-administrator) users.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Paths / Clients (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Paths (Menu Miscellaneous) >

The dialog Configuration / Paths / Clients (Menu Miscellaneous)

This dialog allows you to create and edit a list of clients.

By default WinOLS stores all projects in one single folder. You can change this behaviour with "Clients". Each client represents a predefined Windows path where WinOLS stores the projects. By choosing a client with the hat icon in the WinOLS main window or in the "Open project" dialog, you change the current project path.

Most file related functions (like searching similar projects or opening a project) will only use the current path. Open projects are not affected by a change of the project path, but will stay in their own directory. If you want to move a project to another client (and thus another path), close the project and right-click it in the "Open project" dialog.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Automatically (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) >

The dialog Configuration / Automatically (Menu Miscellaneous)

Namespaces:

The 'namespaces' feature is of interest to you, if you’re using WinOLS on multiple computers without using a central shared directory for all, e.g. because one of the computers is a notebook. In order to make the manual synchronisation easier, you may configure the way the files are named for each computer. Enter a from / to area to enumerate the filenames. These filenames may also contain letters.

Examples for correct namespaces are:

1000 - 9999

1000 - 1999

laptop1000 - laptop1999

1000pc - 9999pc

Background:

Parameters for automatic behaviour can be configured in this section.

Search potential... | If activated, WinOLS will search the project for potential maps and display them (if this is activated in the 'View' page). Potential maps will be searched only once. If you save the project and reopen it, they will not be searched again.
Generate overview... | If activated, WinOLS will automatically generate the overview information, even if the overview window is not open. This is useful if you have the 'pale' data display activated (see 'View' page)
Collect map... | If activated, WinOLS will automatically generate for the different projects. These profiles store information about the way map axis descriptions are displayed (for example name, unit, factor, offset, ...). These profiles may be administrated in the drop-drop menu of the map selection window.
Apply map... | If activated, WinOLS will automatically try to find information to configure the map’s axis descriptions better than the default values would do.

Dialog project properties:

Auto-complete... | If activated, WinOLS will try to complete anything you type in the project properties dialog (and in the open project dialog if you’re using the inplace editing feature). For this WinOLS will use the data you entered in other projects and some predefined data.
Manage space characters | WinOLS can help you fill in the field "Vehicle / Model" in a consistent way. To achieve this, WinOLS (if you enable this option) corrects the space character between number (e.g. "2.0") and the following text (e.g. "TDI") according to your preferences.
...TDI | If this option is active WinOLS corrects "2.0TDI" to "2.0 TDI". If this option is inactive WinOLS corrects "2.0 TDI" to "2.0TDI".
...other text | If this option is active WinOLS corrects "2.0L" to "2.0 L". If this option is inactive WinOLS corrects "2.0 L" to "2.0L".

More options:

Load projects...

If activated, all projects with were opened when exiting WinOLS will be re-opened on the next start of WinOLS.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Automatically / Import (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Automatically (Menu Miscellaneous) >

The dialog Configuration / Automatically / Import (Menu Miscellaneous)

Parameters for automatic behaviour can be configured in this page. All options only apply for the import / eprom reading process.

Detect eprom... | If activated, WinOLS will search for typical eprom errors after a reading an eprom or importing a file. Some typical mistakes can be recognised this way, but not all. WinOLS will only display a message if an error was found.
Virtual eeproms | Details at http://www.evc.de/en/service/q1608.asp
Detect forgotten... | If activated, WinOLS will try typical line swapping configurations to see if you forgot to use one when importing. If a missing line swapping was detected you will be asked if you want to apply it now. Otherwise you won't receive any messages.
Show project... | Shows the dialog "project properties" when importing a file.
Search and... | If activated, WinOLS will search the eprom contents for vehicle information when the project properties dialog is displayed for the first time after an import from file or eprom. The data will be automatically entered into the dialog.
Search identical... | If activated, WinOLS will search for identical projects after an import.
Suggest similar... | If activated, WinOLS will search for similar projects that could be used as original for the current import and will offer a list with the possible candidates.
Search checksums... | If activated, WinOLS will search for checksums within the import. If there were already checksums found within the projects, these will be recalculated.
Suggest scripts... | If activated, WinOLS will display a list of scripts if there are any that can be applied to the current project.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Automatically / Export (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Automatically (Menu Miscellaneous) >

The dialog Configuration / Automatically / Export (Menu Miscellaneous)

When exporting WinOLS can use the project properties to generate a suggestion for the export filename. You can configure the format of this suggestion with texts and placeholders in this dialog. Use the button "Ins." to select the placeholder that you want to use. For the export of binary files you can furthermore configure the method that is used to generate the file suffix.

When importing a file, WinOLS remembers the import filename and the folder where the file was imported from. You can use this data as default when exporting the same file again. If you activate this options, it will override the template mentioned above whenever this data is available.

For the export of BdmToGo files, you can configure WinOLS to remove the name of the customer and the license plate information from the file when exporting.

The settings on this page are used for the export as file and e-mail attachment.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Automatically / E-Mail (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Automatically (Menu Miscellaneous) >

The dialog Configuration / Automatically / E-Mail (Menu Miscellaneous)

With this dialog you can configure the standard contents of any mail you send when exporting WinOLS files by e-mail. The file is sent with your standard e-mail program, but that program will probably not append any standard footer you may have configured. (This behaviour may depend on your e-mail client.)

You can configure the default subject line, a starting text and an ending text. Furthermore you may have WinOLS add project information to the mail. These are all information you can display in the select ‘Select ECU‘ dialog. (Only information fields that contain data will be added.) You can choose to ignore several information fields.

When sending a mail from WinOLS, your standard e-mail client will be used. You can configure this property in your e-mail client. The actions necessary to do this depend on the e-mail client.

Shortcuts

Symbol bar:
Keyboard: F12


The Dialog Configuration / Automatically / Map search

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Automatically (Menu Miscellaneous) >

The Dialog Configuration / Automatically / Map search

With this dialog you can configure the way maps are searched. This applies both to the direct search (hotkey f) and the automatic search in the background.

In order to reduce misdetections, WinOLS ignores several map types by default. You may choose to change this and accept maps which consist only of one value, mostly of one value or of 2 alternating values.

Furthermore WinOLS search for maps in the vendor specific formats of Siemens, Temic or Delphi, it this activated in this dialog.

Another option is the 'Statistical map recognition' which is able to recognise maps that are not stored in the Bosch or Damos Format. This method of recognition judges the data by its 'Look', just like a human would do it. As a result it is able to find maps without any special headers or structural data. As a drawback this recognition takes quite some time and map axis data is only rarely recognised.

Shortcuts

Symbol bar:
Keyboard: F12


The Dialog Configuration / Automatically / Report

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Automatically (Menu Miscellaneous) >

The Dialog Configuration / Automatically / Report

WinOLS can create report files in a logfile format. Everytime you save, export or program a project, WinOLS will write a line with information into this file. You can open the file later on with Excel to understand which work was done for which customer.

If you activate the report option, you must select a file in which the information will be stored. The file can be stored on a network drive and it can be used by several users at the same time (if they all use the same settings).

If you activate ‘Don't generate entries that already exist’, only one entry will be created if you save the same project 2 times.

All further checkboxes refer to the information (and thus the columns of the table) that are stored. Choose the infofmation that you want to store. The current date will always be stored.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Miscellaneous (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) >

The dialog Configuration / Miscellaneous (Menu Miscellaneous)

If you activate the Autosave option, projects with changes are automatically saved after a defined time.

Furthermore you may configure how WinOLS should act if you select and open multiple projects (up to 10) in the "Open project" dialog. WinOLS can ask for each project which version should be opened or it may automatically use the most recent version.

And you may turn on the ’Non-developer mode’. In this mode, only projects which are marked as ’finished’ are visible in the open projects dialog. Moreover you cannot make any changes on the projects.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Miscellaneous / Edit (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Miscellaneous (Menu Miscellaneous) >

The dialog Configuration / Miscellaneous / Edit (Menu Miscellaneous)

Miscellaneous parameters may be configured in the last sheet:

Select only... | If activated, column selections work only in the visible area.
Delete selection... | If activated, any change in the cursor position, will remove the current selection unless you’re currently changing the selection. This option is useful if you’re working without a mouse.
Strength... value... | Every time you press the + or - key, the current value is changed. Use these fields to configure how much the value should be changed. It can be configured for the different possible bit widths.
Strength... PageUp... | You may use the keys Ctrl+PageUp and Ctrl+PageDown to jump a large block with the cursor. The size of this block (in bytes) may be configured here. This is for example useful if the interesting parts within a project a exact 8000 bytes apart.
Display behaviour.. | If you have many projects with many maps, the map selection window can get rather full. You can tell WinOLS to 'expand' (= show all maps) only selected projects or only the current project.
Editing operations... | When activated, the edit relative function will not work on the eprom data, but on the shown data (which may be different because of factor and offset). Furthermore the + and - function will not increase / decrease the eprom value by one, but try to increase the last digit. If that is not possible because the change would be too small, the eprom value will be changed by 1.
Number keys... | If this option is active, you can edit values simply by hitting a number key (0-9) in text mode. If the option is not active you have to hit the 'Enter' key before you can enter a new value.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Miscellaneous / Debug (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Miscellaneous (Menu Miscellaneous) >

The dialog Configuration / Miscellaneous / Debug (Menu Miscellaneous)

Create additional... | If activated, WinOLS will create additional information in the event of a software problem. This option will slow down the application start slightly.
Don’t load all... | Under 95/98/ME/NT the number of DLLs that can be loaded at the same time is limited. If you have licensed many plug-ins, it may happen that some of these plug-ins or the internet access does not work. Normally this option is automatically activated in this case, but you may also activate it manually. You can still use all plug-ins, but they may be slightly slower.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Miscellaneous / Language (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Miscellaneous (Menu Miscellaneous) >

The dialog Configuration / Miscellaneous / Language (Menu Miscellaneous)

Different languages may be chosen for the user interface. The languages must be installed in the plug-in directory. By default the languages German and English are installed.

Shortcuts

Symbol bar:
Keyboard: F12


The dialog Configuration / Miscellaneous / Internet (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Miscellaneous (Menu Miscellaneous) >

The dialog Configuration / Miscellaneous / Internet (Menu Miscellaneous)

Several WinOLS functions can access the internet. Here you can configure whether WinOLS should use a proxy server to contact the internet. Please contact your network administrator for details.

If your proxy requires a login with username and password, please enter this as "host" in the format "username:password@proxy".

This dialog furthermore contains a test function to check the access to the internet and the EVC website for various typical problems.


The dialog Configuration / Hardware (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) >

The dialog Configuration / Hardware (Menu Miscellaneous)


The dialog Configuration / Hardware / Read protection (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Hardware (Menu Miscellaneous) >

The dialog Configuration / Hardware / Read protection (Menu Miscellaneous)

This dialog allows you to edit the default values for some protection settings. The values can later be edited in the dialog "Project properties" for each project individually.


The dialog Configuration / Hardware / BDM (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Hardware (Menu Miscellaneous) >

The dialog Configuration / Hardware / BDM (Menu Miscellaneous)

This dialog displays data about the currently connected BDM module.


The dialog Configuration / Hardware / Eprom (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Hardware (Menu Miscellaneous) >

The dialog Configuration / Hardware / Eprom (Menu Miscellaneous)

WinOLS can be used to communicate with a MP2440P eprommer. This dialog allows you to choose the kind of communication connection.

Attention: The eprommer will only work, if you manually activated the support for this device during the installation of WinOLS!


The dialog Configuration / Hardware / Simulator (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous > The dialog Configuration (Menu Miscellaneous) > The dialog Configuration / Hardware (Menu Miscellaneous) >

The dialog Configuration / Hardware / Simulator (Menu Miscellaneous)

WinOLS can be used to communicate with an OLS16 or OLS300 simulator. This dialog allows you to choose the kind of communication connection.

Attention: The OLS16 simulator will only work, if you manually activated the support for this device during the installation of WinOLS!


The command Calculator (Menu Miscellaneous)

Navigation: Start page > Commands of the menu Miscellaneous >

The command Calculator (Menu Miscellaneous)

This command starts the Windows calculator, if it was installed.

Shortcuts

Symbol bar: -
Keyboard: -


Commands of the menu Window

Navigation: Start page

Commands of the menu Window

The menu Window contains commands to manage the different windows:

Map selection | Shows an overview for all maps
Differences to the original | Shows the differences of the current map as a list
Overview | Shows an overview of the project.
Preview | Shows a 3d-preview for rectangular selections or selected maps.
Toggle floating windows | Shows or hides all floating windows.
New window | Opens a new window for the current document
Cascade | Cascades all open windows
Tile | Tiles all windows
Arrange Icon | Arranges all icons in the lower part of the windows
Window 1, 2, ... | Switches to the selection window


The dialog Map selection (Menu Window)

Navigation: Start page > Commands of the menu Window >

The dialog Map selection (Menu Window)

This dialog displays an overview of all open projects and their windows and allows you to duplicate and delete windows.

This dialog is not modal, meaning that windows lying behind the window may still be used.

The size of the dialog may be configured, while it’s not ‘docked’. The window may be (un-)docked by doubleclicking the headline / title.

A line in bold type symbolises an open window. The text colour shows (just like inside a window) whether the window contains any changes compared to its original version. The windows inside the list can be opened, closed, deleted or duplicated with a context menu (right mousebutton). Doubleclick a line to open / close the window.

With the context menu you may hide windows from the list. This is useful when you have a large number of windows. Hidden windows are normally not displayed in the list. If you right-click a project in this window you may configure whether the maps are displayed even though they are marked as hidden, for example if you want to un-hide them. Maps that appear in the list even though they are hidden can be recognised by their faded colour.

A mouseclick on the black triangle will open a small menu with additional commands for this dialog:

· You can export the list into a CSV file. (Same function as in the Project / Export Menu)
· You may search the map list for a specific map
· You may show or hide a column. (Note: The column Id is useful if you're importing Damos or A2L maps.)
· You can show / hide maps according to their bit width. You may specify a certain bit width or you can tell WinOLS to show only the maps that have the same bit width that the hexdump window currently has.

Click in the first column in order toggle a flag for marking purposes. The flag is only used for clarity.

This dialog may be (depending on your configuration) a "floating" dialog. All floating dialogs can be toggled with the tab key.

Shortcuts

Symbol bar:

Keyboard: Ctrl+K


The dialog Differences to the Original (Menu Window)

Navigation: Start page > Commands of the menu Window >

The dialog Differences to the Original (Menu Window)

This dialog shows all differences (up to 2000) from the original to the current version of this window. The different buttons in this dialog allow you to edit the values in the list.

WinOLS tries to keep this window in sync with the hexdump or map window. If you change the cursor position in the hexdump or map window, the differences window will show the respective entry. If you change the position or select entries in the differences window, WinOLS will change cursor position and / or selection in the hexdump or map window.

The size of the dialog may be configured.

This dialog is not modal, meaning that windows lying behind the window may still be used. This dialog is a "floating" dialog. All floating dialogs can be toggled with the tab key. Furthermore you may 'Roll up' this dialog if you don’t need it. If it is rolled up, only the title bar is visible. For this click on the additional icon in the title bar, so that only a line is displayed. If you now work in WinOLS, the dialog will be hidden, except for the title bar and when you move the cursor over the title bar, the entire dialog will be shown. Click again on the icon to restore the dialog into its normal state. A dialog is outlined below the line. In this state, the dialog is always shown.

Shortcuts

Symbol bar:
Keyboard: Ctrl+U


The dialog Overview (Menu Window)

Navigation: Start page > Commands of the menu Window >

The dialog Overview (Menu Window)

This dialog shows an overview of the current project and classifies the areas according to their suspected function. The analysis needed for this may take a few seconds and is done in the background.

If the cursor is moved over the graphic, the current pixel will be marked in legend on the right side of the window. A click in the graphic moves the view of the current window. A doubleclick in the graphic area will force WinOLS to recreate the information displayed in the window.

You may choose whether you want to display the differences between original and version or the simulator access in a light colour. To choose which should be symbolised by light pixels, click on 'Extended'. (You may need to make the dialog wider for this.) If you have WinOLS display the simulator accesses, you must have loaded the simulator previously. Furthermore you need to generate the needed data for this once with the corresponding menu item from the 'Extended' menu.

The width of this dialog may be changed to save space on the screen. You may change the height to the double of the default to get a better view.

This dialog is a "floating" dialog. All floating dialogs can be toggled with the tab key. Furthermore you may 'Roll up' this dialog if you don’t need it. If it is rolled up, only the title bar is visible. For this click on the additional icon in the title bar, so that only a line is displayed. If you now work in WinOLS, the dialog will be hidden, except for the title bar and when you move the cursor over the title bar, the entire dialog will be shown. Click again on the icon to restore the dialog into its normal state. A dialog is outlined below the line. In this state, the dialog is always shown.

Shortcuts

Symbol bar:
Keyboard: o


The dialog Preview (Menu Window)

Navigation: Start page > Commands of the menu Window >

The dialog Preview (Menu Window)

This dialog shows a preview of the data you are currently working on. A preview is shown

a) When you’re creating a rectangular selection

b) When you’re selecting a map in the map selection window

c) When you’re editing a map that is not shown in 3d mode

This dialog is not modal, meaning that windows lying behind the window may still be used.

The size of the dialog may be configured. You may use the mouse to change the perspective and angle of the preview.

This dialog is a "floating" dialog. All floating dialogs can be toggled with the tab key.

Shortcuts

Symbol bar:

Keyboard: P


The command Toggle floating windows (Menu Window)

Navigation: Start page > Commands of the menu Window >

The command Toggle floating windows (Menu Window)

This command shows or hides all floating windows. Floating windows are windows which are always displayed above the normal windows. Like the differences dialog, the preview window and (depending on your configuration) also the map selection window.

Shortcuts

Symbol bar: -
Keyboard: Tab


The command New Window (Menu Window)

Navigation: Start page > Commands of the menu Window >

The command New Window (Menu Window)

Use this command to create a new window with the same contents as the one currently open.


The command Cascade (Menu Window)

Navigation: Start page > Commands of the menu Window >

The command Cascade (Menu Window)

Use this command to display all opened windows in a cascading style.


The command Tiled (Menu Window)

Navigation: Start page > Commands of the menu Window >

The command Tiled (Menu Window)

Use this command to display all opened windows next to each other.


The command Arrange Icons (Menu Window)

Navigation: Start page > Commands of the menu Window >

The command Arrange Icons (Menu Window)

Use this command to arrange the icons of minimised windows.


The commands 1, 2, ... (Menu Window)

Navigation: Start page > Commands of the menu Window >

The commands 1, 2, ... (Menu Window)

Switches to the window selected.


Commands of the menu ? (Help)

Navigation: Start page

Commands of the menu ? (Help)

The menu ? (Help) contains the following commands to access help information about the application:

Help topics | Lists all help topics
Help topics: Context menus | Explains the context menus of WinOLS
Help topics: Drag & Drop | Shows help about the drag & drop support of WinOLS
Help topics: Mouse cursor | Explains the different mouse cursors
Help topics: Keyboard | Lists all keyboard shortcuts
Help topics: Selections | Explains how to use the WinOLS selection methods optimally
A small tip | Shows different tips for the current context
Tip of the day | Shows information about small but useful features
Homepage EVC | Starts your browser with EVC homepage
Info about Plug-Ins | Shows all installed plug-ins
Info about WinOLS | Shows program-information, version number and copyright


The command Help topics (Menu ? (Help))

Navigation: Start page > Commands of the menu ? (Help) >

The command Help topics (Menu ? (Help))

Displays a list of all help topics.

Shortcuts

Symbol bar: -
Keyboard: -


The command context help (Menu ? (Help))

Navigation: Start page > Commands of the menu ? (Help) >

The command context help (Menu ? (Help))

Use this command to activate the help cursor. While this cursor is enabled, click on toolbar icons of menu items to get help for them.

Shortcuts

Keyboard: SHIFT+F1


The dialog A small tip (Menu ? (Help))

Navigation: Start page > Commands of the menu ? (Help) >

The dialog A small tip (Menu ? (Help))

This dialog shows tips that refer to the current context or action. You may also view them by selecting them from the menu.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Tip of the day (Menu ? (Help))

Navigation: Start page > Commands of the menu ? (Help) >

The dialog Tip of the day (Menu ? (Help))

This dialog shows hints and tricks for WinOLS at every program start. You may disable this dialog, if you prefer not to see it.

Shortcuts

Symbol bar: -
Keyboard: -


The command Homepage EVC (Menu ? (Help))

Navigation: Start page > Commands of the menu ? (Help) >

The command Homepage EVC (Menu ? (Help))

Starts your internet browser with the EVC homepage. A connection to the internet is needed for this command.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Info about plug-ins (Menu ? (Help))

Navigation: Start page > Commands of the menu ? (Help) >

The dialog Info about plug-ins (Menu ? (Help))

This dialog shows a list of all installed plug-ins. If a plug-in is installed, but not registered its search function will work, but the checksum will not be calculated. Contact EVC to get the plug-ins.

The button DLL conflicts is only available, if conflicts between two or more DLLs occurred during startup.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Info about WinOLS (Menu ? (Help))

Navigation: Start page > Commands of the menu ? (Help) >

The dialog Info about WinOLS (Menu ? (Help))

This dialog shows version information.

Shortcuts

Symbol bar: -
Keyboard: -


Other Dialogs

Navigation: Start page

Other Dialogs

Please choose a subtopic.


The dialog Intel/Motorola import parameter

Navigation: Start page > Other Dialogs >

The dialog Intel/Motorola import parameter

When importing Intel or Motorola files, WinOLS needs additional information for a correct import. This is due to the fact that these file formats may contain multiple data blocks which are stored (according the file) at very different addresses. However, WinOLS supports only one large data block which starts at the address 0.

This isn’t a real problem since these data blocks are mapped into one large block anyway. But you must decide which project size is the right one for this mapping. Optionally you may specify an offset, which results in a movement of the data to another address.

Depending on the project size you chose, the ‘Overlapping areas found! ‘ may appear in the dialog. This happens, when multiple data blocks write into the same addresses due to the mapping (which is determined by the project size and the offset). Overlapping areas are a hint that the project size may be too small.

Press the button ‘More information‘ to get a list of all data blocks which the current file contains.

Shortcuts

Symbol bar: -
Keyboard: -


The command Restart background map search

Navigation: Start page > Other Dialogs >

The command Restart background map search

WinOLS can search for maps while you work normally. This command allows you to control this behaviour.

Depending on the situation this command is displayed under different labels and this performs different functions.

If not map search was executed this command allows you to start one. If a search is running, you can stop it with this command. If a search is already finished, you can restart it with this command.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Project comment

Navigation: Start page > Other Dialogs >

The dialog Project comment

In this dialog you may enter a comment for the current project. If the file was imported from an Intel or Motorola file, you’ll find the date and filename here.

This field "Linked files" can store a list of files that are related to the project. The files are not used by WinOLS, but the list is stored here for your reference only. The project version stores link to the files only (and not their contents). To add files, use the "Add" button or drag+drop the files into the field. Double-click a list entry to open the file. If you rather want to store the link for the current versions use the version properties dialog.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Sync block Properties

Navigation: Start page > Other Dialogs >

The dialog Sync block Properties

This dialog allows you to add or modify a sync block. A sync block is a method to make sure that a memory ranges which are currently identical will stay identical. If a modification is done in one memory range, the same modification will be performed in the other range, too.

You can reach this dialog, by clicking the small black triangle next to "Add" in the checksum dialog.

Note about addresses: The addresses in this dialog do not refer to the current element, but to the addresses like they are visible in the view <All elements>. This makes actions possible which apply to the data of multiple elements at once.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Protected memory area is being changed

Navigation: Start page > Other Dialogs >

The dialog Protected memory area is being changed

This dialog will be displayed if you’re changing data that is not covered by a checksum while having the memory protection turned on. It allows you to decide what to do with this change and with further changes.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Enter a filename

Navigation: Start page > Other Dialogs >

The dialog Enter a filename

This dialog asks you to enter a filename for a new project. Most of the time WinOLS can automatically create a new filename. This dialog appears only if you’ve turned the automatic naming off or if the given namespace is full (meaning all files that can be created with the namespace already exist).

Both issues can be configured in the configuration / automatically dialog. For more information about namespaces, please refer to the help page of that dialog.

If you are unsure what to enter in this dialog either accept the default value or just enter a large random number. (How about ‘123456’?)

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Name folder

Navigation: Start page > Other Dialogs >

The dialog Name folder

This dialog requests a name for a folder.

On the one hand this dialog appears when you create a new folder. On the other hand it appears when you rename an existing folder.

You should avoid using the same name twice for the sake of readability.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Move maps

Navigation: Start page > Other Dialogs >

The dialog Move maps

This dialog allows you to move one or more maps into another folder. For this just select a new (already existing) folder from the list.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Search and replace in projects (context menu)

Navigation: Start page > Other Dialogs >

The dialog Search and replace in projects (context menu)

This dialog allows you to search and replace texts in the properties of all selected projects. Changes will only be performed if you use the button 'Replace' or ' Replace all'. This will change the project file in such a way that the search text will be replaced.

Note: The button 'Replace all' performs the replacement operation for all projects in question directly, without asking. Use it with care, because the changes cannot be undone..

Note: This Dialog can only be reached via the context menu of the dialog ' Open (Menu Project)'.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Select the Version

Navigation: Start page > Other Dialogs >

The dialog Select the Version

This dialog allows you to select and manage the versions of a project. With the buttons of the same name you may duplicate version, change their descriptions or delete them.

Use the button ‘As original’ to convert the selected version into the original version. As a consequence all future comparisons will use this version. The former original version will not be deleted; it will be stored in place of the currently selected version (swap).

Furthermore you may view and edit comments for all versions and for the project itself on the upper right corner of the dialog. Use the tabs the select the comment that is currently displayed. You may also view (but not edit) a summary of all comments

In the lower right corner a list is displayed. It contains all maps which are changed in this version from the original version. It will automatically be generated and cannot be edited.

Shortcuts

Symbol bar:
Keyboard: Strg+Shift+O


The dialog search in map list (Menu map list)

Navigation: Start page > Other Dialogs >

The dialog search in map list (Menu map list)

Use this dialog to search the map list for texts or map types.

If the option ‘Search in realtime’ is activated, the search will run while you're entering data.

If the option ‘Also search for maps in closed folders’ is activated, WinOLS will even find maps that are currently not in the list, because they are in a folder that is currently closed. WinOLS will open the map’s folder to display it.

If the option ‘Result as selection’ is activated, all maps will be selected which match the search criteria. You may continue to work with this selection, for example by hiding or deleting them. Use the option 'Result as view filter' to hide all entries that do not match your search criteria.

Use the blue arrow buttons to jump to the next or previous occurrence of the search text.

Note: The hotkey Ctrl+F will start this dialog only if the map list has the focus. If a project window has the focus (= the cursor is blinking there), a search dialog for a byte sequence list will be started.

Shortcuts

Symbol bar: -
Keyboard: Ctrl+F


Status bar

Navigation: Start page > Other Dialogs >

Status bar

The status bar is displayed at the lower end of the WinOLS screen. You may toggle the status bar in the "view" menu with the command "status bar ".

While you’re navigating through the menus, the status bar will display a help text fort he choice you’re currently highlighting. If you’re waiting with the mouse cursor over an icon, the status bar will display a help string for the icon, too.

When (like shown in the image above) the automatic background search is running, you’ll see its state in the status bar.

The first following range shows the state of the checksum modules. Depending on cursor position and configuration, WinOLS may display information about the checksums in general or about the current (manual) checksum.

Right of the checksum one or more icon(s) may display the state of a possibly connected OLS16 or OLS300 simulator module. Wait with the mouse cursor above a symbol to get a tooltip with a description. Right of the symbols, a textual description of the simulator state will be displayed.

The last range displays information about the cursor position, the current field value at the cursor position (and the original value), the relative change in comparison to the original (also in percent) and finally the width of the current hexdump or map.

Note: You may right-click any of the ranges to receive a matching context menu for the range that you clicked.


The command Right Side (Icon bar)

Navigation: Start page > Other Dialogs >

The command Right Side (Icon bar)

Use this command to change the contents of the right side of a hexdump or map window. You may choose between a bar display (the value range for the bars can be configured in the window's property dialog), an ASCII display or you may turn the right side off.

This command is only available for the text view mode.

Shortcuts

Symbol bar: See above
Keyboard: -


The command Data width (Icon bar)

Navigation: Start page > Other Dialogs >

The command Data width (Icon bar)

Use this command to specify the number of bits per shown value. Possible values are 8, 16 or 32 bits. If you use a data width larger than 8 bit you can use the button Data organisation to specify the bytes' organisation.

Shortcuts

Symbol bar: See above
Keyboard: #


The command Data organisation (Icon bar)

Navigation: Start page > Other Dialogs >

The command Data organization (Icon bar)

Use this command to specify the way the data is organised. On the one hand, storage may behind with the least significant byte. On the other hand, the most significant byte may be the first. These kinds of storage are also known as Intel or Motorola.

This command is not available for 8-Bit Data.

Shortcuts

Symbol bar: See above
Keyboard: -


The command number system (Icon bar)

Navigation: Start page > Other Dialogs >

The command number system (Icon bar)

With this button you may switch between the decimal system (10er system) and the hexadecimal system (16er system) for viewing.

If you're not familiar with the number systems, you should work with the decimal system. If the number 255 is not coloured blue, just click on the icon once.

Shortcuts

Symbol bar: See above
Keyboard: -


The dialog Calculate factor and offset

Navigation: Start page > Other Dialogs >

The dialog Calculate factor and offset

This dialog is a subdialog of the dialog map properties. You can reach it with the button "f(x)".

This dialog allows you to calculate the WinOLS fields factor and offset from different common formulas. This is useful if you have information about the conversion of the eprom values, which cannot be entered directly into WinOLS (as factor and offset) due to their given format.

For example you might have the following conversion formula:

VAL = 100/(0,00001 * N)

First you must select the kind of formula. The input size is below the fraction stroke, so you must use the right formula. Enter the values. The number 100 above the fraction stroke, The number 0.00001 below the fraction stroke. In our sample no further value is added. So just leave the additive variable below the fraction stroke at 0.

As a result you can now see factor and offset in the lower left corner of the dialog. Furthermore the checkbox "Reciprocal" is activated. You can now hit the OK button to leave the dialog and accept the values. If you have sample values, you can use the lower right part of the dialog to test your results.

Shortcuts

Symbol bar: -
Keyboard: -


The command Factor, Offset, etc. (Icon bar)

Navigation: Start page > Other Dialogs >

The command Factor, Offset, etc. (Icon bar)

Use these 4 Buttons to change the view mode for the data in comparison to it's original data.

% | The proportional difference between the original and the version will be displayed.
Delta | The absolute difference between the original and the version will be displayed.
*1 | The data of the version will be displayed ignoring factor and offset.
Org | The data of the original will be displayed instead of the version.

You may activate each of this 4 modes for a short time just by moving the mouse cursor over the icon. If you now click on the icon, the mode will be activated permanently. If you move the mouse cursor away without clicking, the old state will be restored.

Shortcuts

Symbol bar: See above
Keyboard: -


The command Right Side / Fixate Ride Side (Menu View)

Navigation: Start page > Other Dialogs >

The command Right Side / Fixate Ride Side (Menu View)

This command is useful if you're working in text mode with maps or hexdumps that have a large number of columns. Normally the Right Side (where characters or bars are) is hidden unless you scroll completely to the right. If you activate the mode 'Fixate Right Side', the Right Side will never be hidden, but stay always visible.

You may also toggle the mode by clicking on the small red or green dot on the dividing line between the data and the Right Side.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Change project size

Navigation: Start page > Other Dialogs >

The dialog Change project size

This dialog appears when you change the project size in the project properties. Now you may choose whether the bytes should be added to / removed from the beginning or the end of the project. If you make the project bigger, you may also choose how the new bytes should be filled.

Important: The change of the project size always applies to all versions of the project and cannot be undone. If you cut bytes off, they cannot be recovered.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Multiple elements in the project

Navigation: Start page > Other Dialogs >

The dialog Multiple elements in the project

This dialog allows you to define the elements within the project. Internally WinOLS stores all elements in one big data block (visible as ‘<All elements>’). Here you can define for the elements where they are located within the big data block.

For each element you need to define the start and end address (hexadecimal). For the "Use" you have several pre-defined texts, so that WinOLS can handle the element correctly. The "Display offset" is the address that is used to display the first value of the element’s hexdump. This value can be bigger than the project size. The columns "Type" and "Valid" are used by the checksums only.

The function "Auto" tried to auto-detect the partitioning of the project.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Parallel maps

Navigation: Start page > Other Dialogs >

The dialog Parallel maps

Often the same map exists several times (with minor variations) in the same ECU. In WinOLS these are called "Parallel maps". You may create all of them in one go and transfer the changes automatically to the other (parallel) maps. Use the following procedure:

1. Search the map in the hexdump window and register it as map within WinOLS.

2. Enter axis descriptions if you want.

3. Click with the right mouse button into the map and select "Parallel maps".

The dialog shown above will appear. Depending on the tolerance that is entered, a different number of maps will probably be found. (The default tolerance value is calculated in such a way that a least one similar maps is found, but never over 100%.)

Use the options to configure which things you want to transfer (this applies only to the map and axis names) or which you want to synchronize (this applies only to map values). If you transfer changes as difference, not the absolute values, but the difference between original and version will be transferred.

It is recommended to create a folder for every group of parallel maps and store the maps there. This makes it much easier to get a good general view.

Synchronization notes:

This function creates "Sync-Blocks", which you may view in the checksum dialog (Key F2). For these blocks WinOLS always tries to keep each two data blocks identical. If you change anything in one block, the changes will be performed in the other one, too (With a confirmation request fort he first time).

If there were already changes, when the Sync-Block was created, these changes will not be transfered, since WinOLS doesn’t know which of the two versions the right one is. To transfer the changes anyway, you can use a simple trick: Select all the data you want to transfer and start the function "Change relative" (Key %). Now add 0 to all cells.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Transfer changes

Navigation: Start page > Other Dialogs >

The dialog Transfer changes

You can reach this dialog by connecting 2 projects and right-clicking a map in a hexdump.

This dialog allows you to transfer the map you right-clicked into the other project. You can choose whether you want to transfer the contents (the map values) and / or the structure data (everything you see in the map properties). When transferring the map start address will be adjusted according to the current connection settings.

Absolute/Difference/Percent:

If you choose the mode "Absolute", the values will be transferred directory. For the mode "Difference" the difference between original and version will be calculated using the source data and added to the target data. For the mode "Percent" the percentage difference between original and version will be calculated for the source data and added as percentage to the target data.

Shortcuts

Symbol bar: -
Keyboard: -


The dialog Insert / edit comment

Navigation: Start page > Other Dialogs >

The dialog Insert / edit comment

This dialog allows inserting or editing a comment. Comments offer a lot of possibilities:

· They mark places or areas.
· They store information which can be seen as tooltips.
· They allow fast access to the marked places with the next / previous functions.
· They appear in the "Go to" list.
· They can mark security areas for the BdmToGo export.

If you have a selection active when using this function, the comment will be created for the selected range. If you want, you may also edit the background and frame color for the marking.

Shortcuts

Symbol bar: -
Keyboard: Shift+Enter


SPI-Signature

Navigation: Start page > Other Dialogs >

SPI-Signature

The SPI-Module must recognize a file as SPI file. That’s why it must contain a so-called signature.

It consists of 8 the ASCII characters "EVC.EVC" and should be near the end of the EPROM at an address xxxx0, an address where there lowest significant digit in hexadecimal is zero.


Advanced topics

Navigation: Start page

Advanced topics

Please choose one of the following topics:

· Scripts


Scripts

Navigation: Start page > Advanced topics >

Scripts

Scripts are text files that contain instructions how to change a project file and under which circumstances the script file may be applied. Scripts can be used to store often needed map changes and quickly apply them into other projects.

Please choose one of the following topics:

· Basics
· Script language
· Map scripts
· Importing with scripts


Basics

Navigation: Start page > Advanced topics > Scripts >

Basics

Scripts are text files which are stored in the script directory (can be configured in the WinOLS options) and have the file ending '.Winolsskript'. Like in C++ you may start line comments with '//'. Most of the commands may only be used within predefined blocks. Only one command per line is allowed.

Basically the scripts describe the intersection of sets resulting from search commands and replacement operators for the sets. Furthermore maps may be defined.


Script language

Navigation: Start page > Advanced topics > Scripts >

Script language

The following text describes the internal structure of scripts. This is only relevant for very advanced users with programming experience. Normally scripts should be created with the "Add" subdialog of the "Script" dialog.

Groups:

A central concept of the WinOLS scripting language are groups. Thus you will find groups in several commands. A group is always represented by a symbolic name (e.g. "KF01") and describes a set of all matching search results.

For example, to search a map you would (strictly speaking) need three search commands. One for the map data and one for the data of each axis. The data should not be moved one beneath another (for example the distance between the map data and the data of the X-Axis should be the same in the source project and in the target project where the script is applied.)

Every search (details see below) has a defined start address. When WinOLS begins a search it will remember a list of all offsets relative to the start address and store it within the group. (If a search finds no results, the script cannot be applied.) So, if you search for the string "128 129 130" with the start address 0x1000, then the result could be that string will be found at the addresses 0x1000, 0x1100 and 0x1200. WinOLS will remember the values 0, 0x100 and 0x200 for the group.

If you now issue another search command for the same group, the search string will only be search for the known offsets. If the string cannot be found at one of the known offsets, then this one will be removed from the group. So, if you search for "100 101" with 0x2000 as start address, then WinOLS will ONLY search at the addresses 0x2000, 0x2100 and 0x2200. All other places will be ignored. And if the string for example isn’t found at 0x2100, then this offset (0x100) will be ignored in further searches, too.

Global commands:

requires_winols "1.505"

The script can only be executed if at least WinOLS version 1.505 is running. This helps avoiding incompatibilities, because the last additions to the scripting language were made in version 1.505.

requires_hexdump

This script can only be run if the currently active window shows a hexdump. It will be ignored for map windows.

requires_map [X-Größe Y-Größe]

This script can only be run if the currently active window shows a map. It will be ignored for hexdump windows. You can specify 2 optional parameters that are the number of columns and rows that the map is expected to have. If the currently active map does not match this data then the script cannot be applied.

replace_mode Mode1 [Mode2] [Mode3]

Defines, which replacement mode should be used. A script can specify multiple replace commands for the same data area, as long as they use a different mode. This command controls the selection in the script dialog. The first value (Mode1) is the default value in the dialog.

The following keywords may be used for the Mode parameter: percent absolute difference2 all

The keyword all is a special case. If it is used, then Mode2 and Mode3 may note be used. Instead all replace commands within the script, no matter what mode they use, are executed. This can be useful if you want to use the same script both for absolute and difference (or percentile) changes. A selection of the mode in the script dialog is not possible in this case. If the keyword all is used, you should set the value for requires_winols to 1.088, because this keyword is not supported in earlier versions.

Blocks:

begin_requires

end_requires

This surrounds a block that checks whether the script can be applied for the current project. Only if all search commands find something the script is regarded as applicable. Commands in this block can’t change the project.

begin_executable

end_executable

Surrounds a block containing commands to execute the script and modify the project.

begin_insert_map group

end_insert_map

This block may only be used within an EXECUTABLE block. It contains the definition for a map that is inserted when the script is executed. The group must be identical to one that was previously defined. If the group contains multiply positions only the best is used.

Non-Global commands:

search Group Dataorganisation Startaddress Deviation Tolarance "Searchstring"

This command performs a search for the search string. The string consists of several decimal numbers separated by spaces. A question mark may be used instead of a number, if any number is acceptable in this position. The data organisation (eByte, eLoHi, eHiLo, eLoHiLoHi, eHiLoHiLo) describes the data format in which the search string is expected in the project. The search will start at the start address and then expand to the left and right as far as the deviation allows it. The tolerance describes the maximal difference the search string values may have from the project.

replace Group Dataorganisation Startaddress mode1 mode2 "Replacestring"

This command replaces a search string with another string. Here you may use question marks, too. They represent a cell that should not be replaced with a different value. Mode1 defines whether only the best found position should be replaced ("Best") or each ("All"). Mode2 defines whether the data will be changed absolute ("Absolute") in percent ("Percent") or whether the changes will be transferred as difference ("Difference2")

Note: In WinOLS versions prior to 1.205 the automatic script generic could generate wrong values for the difference values. Due to security reasons the old keyword "Difference" was deactivated, so that no bad data could be generated. If you’ve created scripts by hand simply use the new keyword "Difference2". Otherwise you should re-create the script or not use the difference method.

unique Group

The script will only continue if the group contains exactly one entry.

set_map_property "Property" "Value"

This command may only be issued with an INSERT_MAP block. It will define the difference properties of a map. A complete list with all possible properties can be seen in any script that transfers a map.

check_map_property "Property" "Value"

This command checks whether the current project has this value in its properties. If this is not the case, the script can’t be executed. You may also enter a regular expression (like in perl or in good text editors). Regular expressions are marked by the prefix "RE:". An example for the recognition of a Mercedes in its usual variations would be: check_map_property "producer" "re:(Mercedes|^MB$)". If you would also like to accept an empty value for the producer: check_map_property "producer" "re:(Mercedes|^MB$|^$)". Valid properties are: Producer, Chassis, Model, Softwareversion and Softwaresize.

Performance:

The scripts are quite fast. In order to keep the check whether a script can be applied or not fast, only one simple rule must be obeyed: Simple conditions first.

Scripts are always processed in a linear way (starting at the top, and then going down). It is a good idea to use the SEARCH commands first that can be done quickly. This way the more complicated commands will be processed later and more rarely. SEARCH commands are simple / quick if they don’t contain questions marks, no or little deviation and allow no or little tolerance. CHECK_MAP_PROPERTY commands are also simple at should stand at the beginning.


Map scripts

Navigation: Start page > Advanced topics > Scripts >

Map scripts

Scripts are normally applied to the entire project. As consequence they can only be used for projects that are very similar to the original project.

This problem can be avoided with map scripts. A map script only knows the current map and can only be a map to another map (which must have the same size as the source map). Furthermore such a script file can contain only the data of one map.

Creating:

To create a map script, open a map which contains differences between original and version and run the script function from the menu (or press the key F8). In the now appearing dialog use the button "Add".

Applying:

To apply a map script simply open a map and run the script function. Now it won't display the normal scripts, but only scripts made for maps of the current map's size.


Importing with scripts

Navigation: Start page > Advanced topics > Scripts >

Importing with scripts

Originally scripts were introduced to enable you to repeat often needed changes.

But since scripts are quite easy to create, advanced users with programming knowledge may use them as import interface for maps. This can be useful if you have extensive information about one or more projects in a format that cannot imported into WinOLS.

In this case you can develop your own conversion software to create scripts that are used to import the known information. The created script can be dragged-dropped into the project window.

The created script should follow this structure:

//--------------------------------------------------------------------------------------------

// This is a WinOLS Script * Please refer to the WinOLS documentation for details

//--------------------------------------------------------------------------------------------

requires_winols "1.505"

replace_mode absolute

begin_requires

end_requires

begin_executable

search KF00 eByte 0x00000 0 0% "?"

begin_insert_map KF00

set_map_property "Name" "Kennfeld"

set_map_property "IdName" ""

set_map_property "Typ" "eZweidim"

set_map_property "FolderName" "My maps"

set_map_property "ViewMode" "eViewText"

set_map_property "RWin" "eBars"

set_map_property "DataOrg" "eFloatLoHi"

set_map_property "bKehrwert" "0"

set_map_property "bVorzeichen" "0"

set_map_property "bDelta" "0"

set_map_property "bProzent" "0"

set_map_property "bOriginal" "0"

set_map_property "bOriginalWerte" "0"

set_map_property "Spalten" "16"

set_map_property "Zeilen" "3"

set_map_property "Radix" "10"

set_map_property "Nachkommastellen" "0"

set_map_property "Kommentar" ""

set_map_property "Feldwerte.Name" "-"

set_map_property "Feldwerte.Einheit" "-"

set_map_property "Feldwerte.Faktor" "1,000000"

set_map_property "Feldwerte.Offset" "0,000000"

set_map_property "Feldwerte.StartAddr" "7668"

set_map_property "StuetzX.Name" "-"

set_map_property "StuetzX.Einheit" "-"

set_map_property "StuetzX.Faktor" "1,000000"

set_map_property "StuetzX.Offset" "0,000000"

set_map_property "StuetzX.DataSrc" "eRom"

set_map_property "StuetzX.DataHeader" "0"

set_map_property "StuetzX.DataAddr" "4096"

set_map_property "StuetzX.DataOrg" "eFloatLoHi"

set_map_property "StuetzX.Radix" "10"

set_map_property "StuetzX.bRueckwaerts" "0"

set_map_property "StuetzX.bKehrwert" "0"

set_map_property "StuetzX.bVorzeichen" "0"

set_map_property "StuetzX.Nachkommastellen" "0"

set_map_property "StuetzX.SignaturByte" "0xFFFFFFFF"

set_map_property "StuetzX.SkipBytes" "0"

set_map_property "StuetzY.Name" "-"

set_map_property "StuetzY.Einheit" "-"

set_map_property "StuetzY.Faktor" "1,000000"

set_map_property "StuetzY.Offset" "0,000000"

set_map_property "StuetzY.DataSrc" "eRom"

set_map_property "StuetzY.DataHeader" "0"

set_map_property "StuetzY.DataAddr" "8192"

set_map_property "StuetzY.DataOrg" "eFloatLoHi"

set_map_property "StuetzY.Radix" "10"

set_map_property "StuetzY.bRueckwaerts" "0"

set_map_property "StuetzY.bKehrwert" "0"

set_map_property "StuetzY.bVorzeichen" "0"

set_map_property "StuetzY.Nachkommastellen" "0"

set_map_property "StuetzY.SignaturByte" "0xFFFFFFFF"

set_map_property "StuetzY.SkipBytes" "0"

end_insert_map

end_executable

The sample script creates a map. To create more than one map with a single script, simply repeat the text with the begin_executable / end_executable block and replace "KF00" each time with other, unique identifiers.

The script uses the command set_map_property to fill several properties of the map with values. The individual properties mirror the fields in the dialog "Properties: Map". Checkboxes are filled with the numbers 0 (not checked) or 1 (checked). The individual field names have these meanings:

Name | The name of the map or axis
IdName | The internal identifier. Normally only Damos / ASAP2 use it.
Typ | The map type. Valid values are eEinzel (Single value), eEindim (Onedimensional map), eZweidim (Twodimensional map), eZweiInv (Twodimensional, inverted map)
FolderName | The name of the folder (requires WinOLS 2.08)
ViewMode | The view mode. Valid values are eViewText (Text mode), eView2d (2d-Mode), eView3d (3d-Mode)
RWin | The right area in text mode. Valid values are eRightWinNone (Nothing), eHex (Character view), eBars (Bar view), eHexBars (Both views)
DataOrg | The data organization (Endian and bit width). Valid values are eByte, eLoHi, eHiLo, eLoHiLoHi, eHiLoHiLo, eFloatLoHi, eFloatHiLo
bKehrwert | 1 for a reciprocal view (otherwise 0)
bVorzeichen | 1 for a signed view (otherwise 0)
bDelta | 1 for a view of the difference (otherwise 0)
bProzent | 1 for a view with a percentual difference (otherwise 0)
bOriginal | 1 to ignore factor and offset (otherwise 0)
bOriginalWerte | 1 to view the not the version values, but the original values (otherwise 0)
Spalten | Number of columns in the map
Zeilen | Number of rows in the map
Radix | Number system. 16 for hexadecimal, 10 for decimal
Nachkommastellen | Number of positions after decimal point
SignaturByte | The marker byte before the axis or 0xFFFFFFFF (requires WinOLS 2.08)
SkipBytes | The number of bytes the are skipped between two axis values (requires WinOLS 2.08)
Feldwerte (...) | This prefix means that the following properties applies to the actual values of the map.
StuetzX (...) | This prefix means that the following properties applies to the values of the X axis.
StuetzY (...) | This prefix means that the following properties applies to the values of the Y axis.
Einheit | A text field with the unit for the values.
Faktor | The multiplications factor for viewing the values
Offset | The addition values for viewing the values
StartAddr / DataAddr | The values start at this hexdump address
DataSrc | The type of data source. Valid values are eDataSrcNone (no axis), eRom (Data from the hexdump), eRomAdd (Additive values from the hexdump), eRomSub (Subtractive values from the hexdump), eUserdef (Userdefined vallues), eRomBackwards (Values from the hexdump in inverted order)
DataHeader | Number of header bytes before the axis that is marked in the hexdump as well
bRueckwaerts | 1 for mirroring the data (otherwise 0)


Copyright, Contact & Internet

Navigation: Start page

Copyright, Contact & Internet

(C) Copyright 2012 by

EVC electronic GmbH

Am Pfauenzehnt 11a

D-46539 Dinslaken

Germany

Inferior Court Duisburg HRB 9864

Manager Axel Schroer

More information online:

· Checksum search
· FAQ
· Products